<?php
/**
 * File for class WsGPAppStructCanale
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructCanale originally named canale
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructCanale extends WsGPAppWsdlClass
{
    /**
     * The codPsp
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codPsp;
    /**
     * The codCanale
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codCanale;
    /**
     * The tipoVersamento
     * @var WsGPAppEnumTipoVersamento
     */
    public $tipoVersamento;
    /**
     * Constructor method for canale
     * @see parent::__construct()
     * @param string $_codPsp
     * @param string $_codCanale
     * @param WsGPAppEnumTipoVersamento $_tipoVersamento
     * @return WsGPAppStructCanale
     */
    public function __construct($_codPsp = NULL,$_codCanale = NULL,$_tipoVersamento = NULL)
    {
        parent::__construct(array('codPsp'=>$_codPsp,'codCanale'=>$_codCanale,'tipoVersamento'=>$_tipoVersamento),false);
    }
    /**
     * Get codPsp value
     * @return string|null
     */
    public function getCodPsp()
    {
        return $this->codPsp;
    }
    /**
     * Set codPsp value
     * @param string $_codPsp the codPsp
     * @return string
     */
    public function setCodPsp($_codPsp)
    {
        return ($this->codPsp = $_codPsp);
    }
    /**
     * Get codCanale value
     * @return string|null
     */
    public function getCodCanale()
    {
        return $this->codCanale;
    }
    /**
     * Set codCanale value
     * @param string $_codCanale the codCanale
     * @return string
     */
    public function setCodCanale($_codCanale)
    {
        return ($this->codCanale = $_codCanale);
    }
    /**
     * Get tipoVersamento value
     * @return WsGPAppEnumTipoVersamento|null
     */
    public function getTipoVersamento()
    {
        return $this->tipoVersamento;
    }
    /**
     * Set tipoVersamento value
     * @uses WsGPAppEnumTipoVersamento::valueIsValid()
     * @param WsGPAppEnumTipoVersamento $_tipoVersamento the tipoVersamento
     * @return WsGPAppEnumTipoVersamento
     */
    public function setTipoVersamento($_tipoVersamento)
    {
        if(!WsGPAppEnumTipoVersamento::valueIsValid($_tipoVersamento))
        {
            return false;
        }
        return ($this->tipoVersamento = $_tipoVersamento);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructCanale
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
