<?php
/**
 * File for class WsGPAppStructGpResponse
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructGpResponse originally named gpResponse
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructGpResponse extends WsGPAppWsdlClass
{
    /**
     * The codOperazione
     * Meta informations extracted from the WSDL
     * - maxLength : 36
     * - minLength : 1
     * @var string
     */
    public $codOperazione;
    /**
     * The codEsitoOperazione
     * @var WsGPAppEnumEsitoOperazione
     */
    public $codEsitoOperazione;
    /**
     * The descrizioneEsitoOperazione
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $descrizioneEsitoOperazione;
    /**
     * The mittente
     * @var WsGPAppEnumMittente
     */
    public $mittente;
    /**
     * The codEsito
     * @var string
     */
    public $codEsito;
    /**
     * The descrizioneEsito
     * @var string
     */
    public $descrizioneEsito;
    /**
     * The dettaglioEsito
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $dettaglioEsito;
    /**
     * Constructor method for gpResponse
     * @see parent::__construct()
     * @param string $_codOperazione
     * @param WsGPAppEnumEsitoOperazione $_codEsitoOperazione
     * @param string $_descrizioneEsitoOperazione
     * @param WsGPAppEnumMittente $_mittente
     * @param string $_codEsito
     * @param string $_descrizioneEsito
     * @param string $_dettaglioEsito
     * @return WsGPAppStructGpResponse
     */
    public function __construct($_codOperazione = NULL,$_codEsitoOperazione = NULL,$_descrizioneEsitoOperazione = NULL,$_mittente = NULL,$_codEsito = NULL,$_descrizioneEsito = NULL,$_dettaglioEsito = NULL)
    {
        parent::__construct(array('codOperazione'=>$_codOperazione,'codEsitoOperazione'=>$_codEsitoOperazione,'descrizioneEsitoOperazione'=>$_descrizioneEsitoOperazione,'mittente'=>$_mittente,'codEsito'=>$_codEsito,'descrizioneEsito'=>$_descrizioneEsito,'dettaglioEsito'=>$_dettaglioEsito),false);
    }
    /**
     * Get codOperazione value
     * @return string|null
     */
    public function getCodOperazione()
    {
        return $this->codOperazione;
    }
    /**
     * Set codOperazione value
     * @param string $_codOperazione the codOperazione
     * @return string
     */
    public function setCodOperazione($_codOperazione)
    {
        return ($this->codOperazione = $_codOperazione);
    }
    /**
     * Get codEsitoOperazione value
     * @return WsGPAppEnumEsitoOperazione|null
     */
    public function getCodEsitoOperazione()
    {
        return $this->codEsitoOperazione;
    }
    /**
     * Set codEsitoOperazione value
     * @uses WsGPAppEnumEsitoOperazione::valueIsValid()
     * @param WsGPAppEnumEsitoOperazione $_codEsitoOperazione the codEsitoOperazione
     * @return WsGPAppEnumEsitoOperazione
     */
    public function setCodEsitoOperazione($_codEsitoOperazione)
    {
        if(!WsGPAppEnumEsitoOperazione::valueIsValid($_codEsitoOperazione))
        {
            return false;
        }
        return ($this->codEsitoOperazione = $_codEsitoOperazione);
    }
    /**
     * Get descrizioneEsitoOperazione value
     * @return string|null
     */
    public function getDescrizioneEsitoOperazione()
    {
        return $this->descrizioneEsitoOperazione;
    }
    /**
     * Set descrizioneEsitoOperazione value
     * @param string $_descrizioneEsitoOperazione the descrizioneEsitoOperazione
     * @return string
     */
    public function setDescrizioneEsitoOperazione($_descrizioneEsitoOperazione)
    {
        return ($this->descrizioneEsitoOperazione = $_descrizioneEsitoOperazione);
    }
    /**
     * Get mittente value
     * @return WsGPAppEnumMittente|null
     */
    public function getMittente()
    {
        return $this->mittente;
    }
    /**
     * Set mittente value
     * @uses WsGPAppEnumMittente::valueIsValid()
     * @param WsGPAppEnumMittente $_mittente the mittente
     * @return WsGPAppEnumMittente
     */
    public function setMittente($_mittente)
    {
        if(!WsGPAppEnumMittente::valueIsValid($_mittente))
        {
            return false;
        }
        return ($this->mittente = $_mittente);
    }
    /**
     * Get codEsito value
     * @return string|null
     */
    public function getCodEsito()
    {
        return $this->codEsito;
    }
    /**
     * Set codEsito value
     * @param string $_codEsito the codEsito
     * @return string
     */
    public function setCodEsito($_codEsito)
    {
        return ($this->codEsito = $_codEsito);
    }
    /**
     * Get descrizioneEsito value
     * @return string|null
     */
    public function getDescrizioneEsito()
    {
        return $this->descrizioneEsito;
    }
    /**
     * Set descrizioneEsito value
     * @param string $_descrizioneEsito the descrizioneEsito
     * @return string
     */
    public function setDescrizioneEsito($_descrizioneEsito)
    {
        return ($this->descrizioneEsito = $_descrizioneEsito);
    }
    /**
     * Get dettaglioEsito value
     * @return string|null
     */
    public function getDettaglioEsito()
    {
        return $this->dettaglioEsito;
    }
    /**
     * Set dettaglioEsito value
     * @param string $_dettaglioEsito the dettaglioEsito
     * @return string
     */
    public function setDettaglioEsito($_dettaglioEsito)
    {
        return ($this->dettaglioEsito = $_dettaglioEsito);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructGpResponse
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
