<?php
/**
 * File for class WsGPAppStructGpAnnullaVersamento
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructGpAnnullaVersamento originally named gpAnnullaVersamento
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructGpAnnullaVersamento extends WsGPAppWsdlClass
{
    /**
     * The codApplicazione
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codApplicazione;
    /**
     * The codVersamentoEnte
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codVersamentoEnte;
    /**
     * Constructor method for gpAnnullaVersamento
     * @see parent::__construct()
     * @param string $_codApplicazione
     * @param string $_codVersamentoEnte
     * @return WsGPAppStructGpAnnullaVersamento
     */
    public function __construct($_codApplicazione = NULL,$_codVersamentoEnte = NULL)
    {
        parent::__construct(array('codApplicazione'=>$_codApplicazione,'codVersamentoEnte'=>$_codVersamentoEnte),false);
    }
    /**
     * Get codApplicazione value
     * @return string|null
     */
    public function getCodApplicazione()
    {
        return $this->codApplicazione;
    }
    /**
     * Set codApplicazione value
     * @param string $_codApplicazione the codApplicazione
     * @return string
     */
    public function setCodApplicazione($_codApplicazione)
    {
        return ($this->codApplicazione = $_codApplicazione);
    }
    /**
     * Get codVersamentoEnte value
     * @return string|null
     */
    public function getCodVersamentoEnte()
    {
        return $this->codVersamentoEnte;
    }
    /**
     * Set codVersamentoEnte value
     * @param string $_codVersamentoEnte the codVersamentoEnte
     * @return string
     */
    public function setCodVersamentoEnte($_codVersamentoEnte)
    {
        return ($this->codVersamentoEnte = $_codVersamentoEnte);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructGpAnnullaVersamento
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
