<?php
/**
 * File for class WsGPAppStructGpCaricaVersamento
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructGpCaricaVersamento originally named gpCaricaVersamento
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructGpCaricaVersamento extends WsGPAppWsdlClass
{
    /**
     * The generaIuv
     * @var boolean
     */
    public $generaIuv;
    /**
     * The aggiornaSeEsiste
     * Meta informations extracted from the WSDL
     * - default : true
     * - minOccurs : 0
     * @var boolean
     */
    public $aggiornaSeEsiste;
    /**
     * The versamento
     * @var WsGPAppStructVersamento
     */
    public $versamento;
    /**
     * Constructor method for gpCaricaVersamento
     * @see parent::__construct()
     * @param boolean $_generaIuv
     * @param boolean $_aggiornaSeEsiste
     * @param WsGPAppStructVersamento $_versamento
     * @return WsGPAppStructGpCaricaVersamento
     */
    public function __construct($_generaIuv = NULL,$_aggiornaSeEsiste = true,$_versamento = NULL)
    {
        parent::__construct(array('generaIuv'=>$_generaIuv,'aggiornaSeEsiste'=>$_aggiornaSeEsiste,'versamento'=>$_versamento),false);
    }
    /**
     * Get generaIuv value
     * @return boolean|null
     */
    public function getGeneraIuv()
    {
        return $this->generaIuv;
    }
    /**
     * Set generaIuv value
     * @param boolean $_generaIuv the generaIuv
     * @return boolean
     */
    public function setGeneraIuv($_generaIuv)
    {
        return ($this->generaIuv = $_generaIuv);
    }
    /**
     * Get aggiornaSeEsiste value
     * @return boolean|null
     */
    public function getAggiornaSeEsiste()
    {
        return $this->aggiornaSeEsiste;
    }
    /**
     * Set aggiornaSeEsiste value
     * @param boolean $_aggiornaSeEsiste the aggiornaSeEsiste
     * @return boolean
     */
    public function setAggiornaSeEsiste($_aggiornaSeEsiste)
    {
        return ($this->aggiornaSeEsiste = $_aggiornaSeEsiste);
    }
    /**
     * Get versamento value
     * @return WsGPAppStructVersamento|null
     */
    public function getVersamento()
    {
        return $this->versamento;
    }
    /**
     * Set versamento value
     * @param WsGPAppStructVersamento $_versamento the versamento
     * @return WsGPAppStructVersamento
     */
    public function setVersamento($_versamento)
    {
        return ($this->versamento = $_versamento);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructGpCaricaVersamento
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
