<?php
/**
 * File for class WsGPAppServiceGp
 * @package WsGPApp
 * @subpackage Services
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppServiceGp originally named Gp
 * @package WsGPApp
 * @subpackage Services
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppServiceGp extends WsGPAppWsdlClass
{
    /**
     * Method to call the operation originally named gpGeneraIuv
     * @uses WsGPAppWsdlClass::getSoapClient()
     * @uses WsGPAppWsdlClass::setResult()
     * @uses WsGPAppWsdlClass::saveLastError()
     * @param WsGPAppStructGpGeneraIuv $_wsGPAppStructGpGeneraIuv
     * @return WsGPAppStructGpGeneraIuvResponse
     */
    public function gpGeneraIuv(WsGPAppStructGpGeneraIuv $_wsGPAppStructGpGeneraIuv)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->gpGeneraIuv($_wsGPAppStructGpGeneraIuv));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named gpCaricaIuv
     * @uses WsGPAppWsdlClass::getSoapClient()
     * @uses WsGPAppWsdlClass::setResult()
     * @uses WsGPAppWsdlClass::saveLastError()
     * @param WsGPAppStructGpCaricaIuv $_wsGPAppStructGpCaricaIuv
     * @return WsGPAppStructGpCaricaIuvResponse
     */
    public function gpCaricaIuv(WsGPAppStructGpCaricaIuv $_wsGPAppStructGpCaricaIuv)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->gpCaricaIuv($_wsGPAppStructGpCaricaIuv));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named gpCaricaVersamento
     * @uses WsGPAppWsdlClass::getSoapClient()
     * @uses WsGPAppWsdlClass::setResult()
     * @uses WsGPAppWsdlClass::saveLastError()
     * @param WsGPAppStructGpCaricaVersamento $_wsGPAppStructGpCaricaVersamento
     * @return WsGPAppStructGpCaricaVersamentoResponse
     */
    public function gpCaricaVersamento(WsGPAppStructGpCaricaVersamento $_wsGPAppStructGpCaricaVersamento)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->gpCaricaVersamento($_wsGPAppStructGpCaricaVersamento));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named gpAnnullaVersamento
     * @uses WsGPAppWsdlClass::getSoapClient()
     * @uses WsGPAppWsdlClass::setResult()
     * @uses WsGPAppWsdlClass::saveLastError()
     * @param WsGPAppStructGpAnnullaVersamento $_wsGPAppStructGpAnnullaVersamento
     * @return WsGPAppStructGpResponse
     */
    public function gpAnnullaVersamento(WsGPAppStructGpAnnullaVersamento $_wsGPAppStructGpAnnullaVersamento)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->gpAnnullaVersamento($_wsGPAppStructGpAnnullaVersamento));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named gpNotificaPagamento
     * @uses WsGPAppWsdlClass::getSoapClient()
     * @uses WsGPAppWsdlClass::setResult()
     * @uses WsGPAppWsdlClass::saveLastError()
     * @param WsGPAppStructGpNotificaPagamento $_wsGPAppStructGpNotificaPagamento
     * @return WsGPAppStructGpResponse
     */
    public function gpNotificaPagamento(WsGPAppStructGpNotificaPagamento $_wsGPAppStructGpNotificaPagamento)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->gpNotificaPagamento($_wsGPAppStructGpNotificaPagamento));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named gpChiediStatoVersamento
     * @uses WsGPAppWsdlClass::getSoapClient()
     * @uses WsGPAppWsdlClass::setResult()
     * @uses WsGPAppWsdlClass::saveLastError()
     * @param WsGPAppStructGpChiediStatoVersamento $_wsGPAppStructGpChiediStatoVersamento
     * @return WsGPAppStructGpChiediStatoVersamentoResponse
     */
    public function gpChiediStatoVersamento(WsGPAppStructGpChiediStatoVersamento $_wsGPAppStructGpChiediStatoVersamento)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->gpChiediStatoVersamento($_wsGPAppStructGpChiediStatoVersamento));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named gpChiediListaFlussiRendicontazione
     * @uses WsGPAppWsdlClass::getSoapClient()
     * @uses WsGPAppWsdlClass::setResult()
     * @uses WsGPAppWsdlClass::saveLastError()
     * @param WsGPAppStructGpChiediListaFlussiRendicontazione $_wsGPAppStructGpChiediListaFlussiRendicontazione
     * @return WsGPAppStructGpChiediListaFlussiRendicontazioneResponse
     */
    public function gpChiediListaFlussiRendicontazione(WsGPAppStructGpChiediListaFlussiRendicontazione $_wsGPAppStructGpChiediListaFlussiRendicontazione)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->gpChiediListaFlussiRendicontazione($_wsGPAppStructGpChiediListaFlussiRendicontazione));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named gpChiediFlussoRendicontazione
     * @uses WsGPAppWsdlClass::getSoapClient()
     * @uses WsGPAppWsdlClass::setResult()
     * @uses WsGPAppWsdlClass::saveLastError()
     * @param WsGPAppStructGpChiediFlussoRendicontazione $_wsGPAppStructGpChiediFlussoRendicontazione
     * @return WsGPAppStructGpChiediFlussoRendicontazioneResponse
     */
    public function gpChiediFlussoRendicontazione(WsGPAppStructGpChiediFlussoRendicontazione $_wsGPAppStructGpChiediFlussoRendicontazione)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->gpChiediFlussoRendicontazione($_wsGPAppStructGpChiediFlussoRendicontazione));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Returns the result
     * @see WsGPAppWsdlClass::getResult()
     * @return WsGPAppStructGpCaricaIuvResponse|WsGPAppStructGpCaricaVersamentoResponse|WsGPAppStructGpChiediFlussoRendicontazioneResponse|WsGPAppStructGpChiediListaFlussiRendicontazioneResponse|WsGPAppStructGpChiediStatoVersamentoResponse|WsGPAppStructGpGeneraIuvResponse|WsGPAppStructGpResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
