<?php
/**
 * File for class WsGPAppStructIuvRichiesto
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructIuvRichiesto originally named iuvRichiesto
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructIuvRichiesto extends WsGPAppWsdlClass
{
    /**
     * The codVersamentoEnte
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codVersamentoEnte;
    /**
     * The importoTotale
     * Meta informations extracted from the WSDL
     * - fractionDigits : 2
     * - maxInclusive : 99999999.99
     * - minInclusive : 0.00
     * - totalDigits : 12
     * @var decimal
     */
    public $importoTotale;
    /**
     * Constructor method for iuvRichiesto
     * @see parent::__construct()
     * @param string $_codVersamentoEnte
     * @param decimal $_importoTotale
     * @return WsGPAppStructIuvRichiesto
     */
    public function __construct($_codVersamentoEnte = NULL,$_importoTotale = NULL)
    {
        parent::__construct(array('codVersamentoEnte'=>$_codVersamentoEnte,'importoTotale'=>$_importoTotale),false);
    }
    /**
     * Get codVersamentoEnte value
     * @return string|null
     */
    public function getCodVersamentoEnte()
    {
        return $this->codVersamentoEnte;
    }
    /**
     * Set codVersamentoEnte value
     * @param string $_codVersamentoEnte the codVersamentoEnte
     * @return string
     */
    public function setCodVersamentoEnte($_codVersamentoEnte)
    {
        return ($this->codVersamentoEnte = $_codVersamentoEnte);
    }
    /**
     * Get importoTotale value
     * @return decimal|null
     */
    public function getImportoTotale()
    {
        return $this->importoTotale;
    }
    /**
     * Set importoTotale value
     * @param decimal $_importoTotale the importoTotale
     * @return decimal
     */
    public function setImportoTotale($_importoTotale)
    {
        return ($this->importoTotale = $_importoTotale);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructIuvRichiesto
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
