<?php
/**
 * File for class WsGPAppEnumMittente
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppEnumMittente originally named mittente
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppEnumMittente extends WsGPAppWsdlClass
{
    /**
     * Constant for value 'NodoDeiPagamentiSPC'
     * @return string 'NodoDeiPagamentiSPC'
     */
    const VALUE_NODODEIPAGAMENTISPC = 'NodoDeiPagamentiSPC';
    /**
     * Constant for value 'PSP'
     * @return string 'PSP'
     */
    const VALUE_PSP = 'PSP';
    /**
     * Constant for value 'GovPay'
     * @return string 'GovPay'
     */
    const VALUE_GOVPAY = 'GovPay';
    /**
     * Return true if value is allowed
     * @uses WsGPAppEnumMittente::VALUE_NODODEIPAGAMENTISPC
     * @uses WsGPAppEnumMittente::VALUE_PSP
     * @uses WsGPAppEnumMittente::VALUE_GOVPAY
     * @param mixed $_value value
     * @return bool true|false
     */
    public static function valueIsValid($_value)
    {
        return in_array($_value,array(WsGPAppEnumMittente::VALUE_NODODEIPAGAMENTISPC,WsGPAppEnumMittente::VALUE_PSP,WsGPAppEnumMittente::VALUE_GOVPAY));
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
