<?php
/**
 * File for class WsGPAppEnumModelloPagamento
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppEnumModelloPagamento originally named modelloPagamento
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppEnumModelloPagamento extends WsGPAppWsdlClass
{
    /**
     * Constant for value 'IMMEDIATO'
     * @return string 'IMMEDIATO'
     */
    const VALUE_IMMEDIATO = 'IMMEDIATO';
    /**
     * Constant for value 'IMMEDIATO_MULTIBENEFICIARIO'
     * @return string 'IMMEDIATO_MULTIBENEFICIARIO'
     */
    const VALUE_IMMEDIATO_MULTIBENEFICIARIO = 'IMMEDIATO_MULTIBENEFICIARIO';
    /**
     * Constant for value 'DIFFERITO'
     * @return string 'DIFFERITO'
     */
    const VALUE_DIFFERITO = 'DIFFERITO';
    /**
     * Constant for value 'ATTIVATO_PRESSO_PSP'
     * @return string 'ATTIVATO_PRESSO_PSP'
     */
    const VALUE_ATTIVATO_PRESSO_PSP = 'ATTIVATO_PRESSO_PSP';
    /**
     * Return true if value is allowed
     * @uses WsGPAppEnumModelloPagamento::VALUE_IMMEDIATO
     * @uses WsGPAppEnumModelloPagamento::VALUE_IMMEDIATO_MULTIBENEFICIARIO
     * @uses WsGPAppEnumModelloPagamento::VALUE_DIFFERITO
     * @uses WsGPAppEnumModelloPagamento::VALUE_ATTIVATO_PRESSO_PSP
     * @param mixed $_value value
     * @return bool true|false
     */
    public static function valueIsValid($_value)
    {
        return in_array($_value,array(WsGPAppEnumModelloPagamento::VALUE_IMMEDIATO,WsGPAppEnumModelloPagamento::VALUE_IMMEDIATO_MULTIBENEFICIARIO,WsGPAppEnumModelloPagamento::VALUE_DIFFERITO,WsGPAppEnumModelloPagamento::VALUE_ATTIVATO_PRESSO_PSP));
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
