<?php
/**
 * File for class WsGPAppEnumStatoRevoca
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppEnumStatoRevoca originally named statoRevoca
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppEnumStatoRevoca extends WsGPAppWsdlClass
{
    /**
     * Constant for value 'RR_ATTIVATA'
     * @return string 'RR_ATTIVATA'
     */
    const VALUE_RR_ATTIVATA = 'RR_ATTIVATA';
    /**
     * Constant for value 'RR_ERRORE_INVIO_A_NODO'
     * @return string 'RR_ERRORE_INVIO_A_NODO'
     */
    const VALUE_RR_ERRORE_INVIO_A_NODO = 'RR_ERRORE_INVIO_A_NODO';
    /**
     * Constant for value 'RR_ACCETTATA_NODO'
     * @return string 'RR_ACCETTATA_NODO'
     */
    const VALUE_RR_ACCETTATA_NODO = 'RR_ACCETTATA_NODO';
    /**
     * Constant for value 'RR_RIFIUTATA_NODO'
     * @return string 'RR_RIFIUTATA_NODO'
     */
    const VALUE_RR_RIFIUTATA_NODO = 'RR_RIFIUTATA_NODO';
    /**
     * Constant for value 'ER_ACCETTATA_PA'
     * @return string 'ER_ACCETTATA_PA'
     */
    const VALUE_ER_ACCETTATA_PA = 'ER_ACCETTATA_PA';
    /**
     * Constant for value 'ER_RIFIUTATA_PA'
     * @return string 'ER_RIFIUTATA_PA'
     */
    const VALUE_ER_RIFIUTATA_PA = 'ER_RIFIUTATA_PA';
    /**
     * Return true if value is allowed
     * @uses WsGPAppEnumStatoRevoca::VALUE_RR_ATTIVATA
     * @uses WsGPAppEnumStatoRevoca::VALUE_RR_ERRORE_INVIO_A_NODO
     * @uses WsGPAppEnumStatoRevoca::VALUE_RR_ACCETTATA_NODO
     * @uses WsGPAppEnumStatoRevoca::VALUE_RR_RIFIUTATA_NODO
     * @uses WsGPAppEnumStatoRevoca::VALUE_ER_ACCETTATA_PA
     * @uses WsGPAppEnumStatoRevoca::VALUE_ER_RIFIUTATA_PA
     * @param mixed $_value value
     * @return bool true|false
     */
    public static function valueIsValid($_value)
    {
        return in_array($_value,array(WsGPAppEnumStatoRevoca::VALUE_RR_ATTIVATA,WsGPAppEnumStatoRevoca::VALUE_RR_ERRORE_INVIO_A_NODO,WsGPAppEnumStatoRevoca::VALUE_RR_ACCETTATA_NODO,WsGPAppEnumStatoRevoca::VALUE_RR_RIFIUTATA_NODO,WsGPAppEnumStatoRevoca::VALUE_ER_ACCETTATA_PA,WsGPAppEnumStatoRevoca::VALUE_ER_RIFIUTATA_PA));
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
