<?php
/**
 * File for class WsGPAppEnumTipoAutenticazione
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppEnumTipoAutenticazione originally named tipoAutenticazione
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppEnumTipoAutenticazione extends WsGPAppWsdlClass
{
    /**
     * Constant for value 'CNS'
     * @return string 'CNS'
     */
    const VALUE_CNS = 'CNS';
    /**
     * Constant for value 'USR'
     * @return string 'USR'
     */
    const VALUE_USR = 'USR';
    /**
     * Constant for value 'OTH'
     * @return string 'OTH'
     */
    const VALUE_OTH = 'OTH';
    /**
     * Constant for value 'N/A'
     * @return string 'N/A'
     */
    const VALUE_N_A = 'N/A';
    /**
     * Return true if value is allowed
     * @uses WsGPAppEnumTipoAutenticazione::VALUE_CNS
     * @uses WsGPAppEnumTipoAutenticazione::VALUE_USR
     * @uses WsGPAppEnumTipoAutenticazione::VALUE_OTH
     * @uses WsGPAppEnumTipoAutenticazione::VALUE_N_A
     * @param mixed $_value value
     * @return bool true|false
     */
    public static function valueIsValid($_value)
    {
        return in_array($_value,array(WsGPAppEnumTipoAutenticazione::VALUE_CNS,WsGPAppEnumTipoAutenticazione::VALUE_USR,WsGPAppEnumTipoAutenticazione::VALUE_OTH,WsGPAppEnumTipoAutenticazione::VALUE_N_A));
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
