<?php
/**
 * File for class WsGPAppStructTributo
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructTributo originally named tributo
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructTributo extends WsGPAppWsdlClass
{
    /**
     * The ibanAccredito
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $ibanAccredito;
    /**
     * The tipoContabilita
     * @var WsGPAppEnumTipoContabilita
     */
    public $tipoContabilita;
    /**
     * The codContabilita
     * Meta informations extracted from the WSDL
     * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
     * - pattern : \S{3,138}
     * @var string
     */
    public $codContabilita;
    /**
     * Constructor method for tributo
     * @see parent::__construct()
     * @param string $_ibanAccredito
     * @param WsGPAppEnumTipoContabilita $_tipoContabilita
     * @param string $_codContabilita
     * @return WsGPAppStructTributo
     */
    public function __construct($_ibanAccredito = NULL,$_tipoContabilita = NULL,$_codContabilita = NULL)
    {
        parent::__construct(array('ibanAccredito'=>$_ibanAccredito,'tipoContabilita'=>$_tipoContabilita,'codContabilita'=>$_codContabilita),false);
    }
    /**
     * Get ibanAccredito value
     * @return string|null
     */
    public function getIbanAccredito()
    {
        return $this->ibanAccredito;
    }
    /**
     * Set ibanAccredito value
     * @param string $_ibanAccredito the ibanAccredito
     * @return string
     */
    public function setIbanAccredito($_ibanAccredito)
    {
        return ($this->ibanAccredito = $_ibanAccredito);
    }
    /**
     * Get tipoContabilita value
     * @return WsGPAppEnumTipoContabilita|null
     */
    public function getTipoContabilita()
    {
        return $this->tipoContabilita;
    }
    /**
     * Set tipoContabilita value
     * @uses WsGPAppEnumTipoContabilita::valueIsValid()
     * @param WsGPAppEnumTipoContabilita $_tipoContabilita the tipoContabilita
     * @return WsGPAppEnumTipoContabilita
     */
    public function setTipoContabilita($_tipoContabilita)
    {
        if(!WsGPAppEnumTipoContabilita::valueIsValid($_tipoContabilita))
        {
            return false;
        }
        return ($this->tipoContabilita = $_tipoContabilita);
    }
    /**
     * Get codContabilita value
     * @return string|null
     */
    public function getCodContabilita()
    {
        return $this->codContabilita;
    }
    /**
     * Set codContabilita value
     * @param string $_codContabilita the codContabilita
     * @return string
     */
    public function setCodContabilita($_codContabilita)
    {
        return ($this->codContabilita = $_codContabilita);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructTributo
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
