<?php
/**
 * File for class WsGPAppStructVersamentoKey
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructVersamentoKey originally named versamentoKey
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructVersamentoKey extends WsGPAppWsdlClass
{
    /**
     * The codApplicazione
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codApplicazione;
    /**
     * The codVersamentoEnte
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codVersamentoEnte;
    /**
     * The codDominio
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codDominio;
    /**
     * The codUnivocoDebitore
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - maxLength : 35
     * - minLength : 1
     * @var string
     */
    public $codUnivocoDebitore;
    /**
     * The bundlekey
     * Meta informations extracted from the WSDL
     * - maxLength : 256
     * - minLength : 1
     * @var string
     */
    public $bundlekey;
    /**
     * The iuv
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $iuv;
    /**
     * Constructor method for versamentoKey
     * @see parent::__construct()
     * @param string $_codApplicazione
     * @param string $_codVersamentoEnte
     * @param string $_codDominio
     * @param string $_codUnivocoDebitore
     * @param string $_bundlekey
     * @param string $_iuv
     * @return WsGPAppStructVersamentoKey
     */
    public function __construct($_codApplicazione = NULL,$_codVersamentoEnte = NULL,$_codDominio = NULL,$_codUnivocoDebitore = NULL,$_bundlekey = NULL,$_iuv = NULL)
    {
        parent::__construct(array('codApplicazione'=>$_codApplicazione,'codVersamentoEnte'=>$_codVersamentoEnte,'codDominio'=>$_codDominio,'codUnivocoDebitore'=>$_codUnivocoDebitore,'bundlekey'=>$_bundlekey,'iuv'=>$_iuv),false);
    }
    /**
     * Get codApplicazione value
     * @return string|null
     */
    public function getCodApplicazione()
    {
        return $this->codApplicazione;
    }
    /**
     * Set codApplicazione value
     * @param string $_codApplicazione the codApplicazione
     * @return string
     */
    public function setCodApplicazione($_codApplicazione)
    {
        return ($this->codApplicazione = $_codApplicazione);
    }
    /**
     * Get codVersamentoEnte value
     * @return string|null
     */
    public function getCodVersamentoEnte()
    {
        return $this->codVersamentoEnte;
    }
    /**
     * Set codVersamentoEnte value
     * @param string $_codVersamentoEnte the codVersamentoEnte
     * @return string
     */
    public function setCodVersamentoEnte($_codVersamentoEnte)
    {
        return ($this->codVersamentoEnte = $_codVersamentoEnte);
    }
    /**
     * Get codDominio value
     * @return string|null
     */
    public function getCodDominio()
    {
        return $this->codDominio;
    }
    /**
     * Set codDominio value
     * @param string $_codDominio the codDominio
     * @return string
     */
    public function setCodDominio($_codDominio)
    {
        return ($this->codDominio = $_codDominio);
    }
    /**
     * Get codUnivocoDebitore value
     * @return string|null
     */
    public function getCodUnivocoDebitore()
    {
        return $this->codUnivocoDebitore;
    }
    /**
     * Set codUnivocoDebitore value
     * @param string $_codUnivocoDebitore the codUnivocoDebitore
     * @return string
     */
    public function setCodUnivocoDebitore($_codUnivocoDebitore)
    {
        return ($this->codUnivocoDebitore = $_codUnivocoDebitore);
    }
    /**
     * Get bundlekey value
     * @return string|null
     */
    public function getBundlekey()
    {
        return $this->bundlekey;
    }
    /**
     * Set bundlekey value
     * @param string $_bundlekey the bundlekey
     * @return string
     */
    public function setBundlekey($_bundlekey)
    {
        return ($this->bundlekey = $_bundlekey);
    }
    /**
     * Get iuv value
     * @return string|null
     */
    public function getIuv()
    {
        return $this->iuv;
    }
    /**
     * Set iuv value
     * @param string $_iuv the iuv
     * @return string
     */
    public function setIuv($_iuv)
    {
        return ($this->iuv = $_iuv);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructVersamentoKey
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
