<?php
/**
 * File for class WsGPAppStructAllegato
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructAllegato originally named allegato
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructAllegato extends WsGPAppWsdlClass
{
    /**
     * The tipo
     * @var WsGPAppEnumTipoAllegato
     */
    public $tipo;
    /**
     * The testo
     * @var base64Binary
     */
    public $testo;
    /**
     * Constructor method for allegato
     * @see parent::__construct()
     * @param WsGPAppEnumTipoAllegato $_tipo
     * @param base64Binary $_testo
     * @return WsGPAppStructAllegato
     */
    public function __construct($_tipo = NULL,$_testo = NULL)
    {
        parent::__construct(array('tipo'=>$_tipo,'testo'=>$_testo),false);
    }
    /**
     * Get tipo value
     * @return WsGPAppEnumTipoAllegato|null
     */
    public function getTipo()
    {
        return $this->tipo;
    }
    /**
     * Set tipo value
     * @uses WsGPAppEnumTipoAllegato::valueIsValid()
     * @param WsGPAppEnumTipoAllegato $_tipo the tipo
     * @return WsGPAppEnumTipoAllegato
     */
    public function setTipo($_tipo)
    {
        if(!WsGPAppEnumTipoAllegato::valueIsValid($_tipo))
        {
            return false;
        }
        return ($this->tipo = $_tipo);
    }
    /**
     * Get testo value
     * @return base64Binary|null
     */
    public function getTesto()
    {
        return $this->testo;
    }
    /**
     * Set testo value
     * @param base64Binary $_testo the testo
     * @return base64Binary
     */
    public function setTesto($_testo)
    {
        return ($this->testo = $_testo);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructAllegato
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
