<?php
/**
 * File for class WsGPAppStructBolloTelematico
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructBolloTelematico originally named bolloTelematico
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructBolloTelematico extends WsGPAppWsdlClass
{
    /**
     * The tipo
     * @var WsGPAppEnumTipoBollo
     */
    public $tipo;
    /**
     * The hash
     * Meta informations extracted from the WSDL
     * - maxLength : 70
     * - minLength : 1
     * @var string
     */
    public $hash;
    /**
     * The provincia
     * Meta informations extracted from the WSDL
     * - pattern : [A-Z]{2,2}
     * @var string
     */
    public $provincia;
    /**
     * Constructor method for bolloTelematico
     * @see parent::__construct()
     * @param WsGPAppEnumTipoBollo $_tipo
     * @param string $_hash
     * @param string $_provincia
     * @return WsGPAppStructBolloTelematico
     */
    public function __construct($_tipo = NULL,$_hash = NULL,$_provincia = NULL)
    {
        parent::__construct(array('tipo'=>$_tipo,'hash'=>$_hash,'provincia'=>$_provincia),false);
    }
    /**
     * Get tipo value
     * @return WsGPAppEnumTipoBollo|null
     */
    public function getTipo()
    {
        return $this->tipo;
    }
    /**
     * Set tipo value
     * @uses WsGPAppEnumTipoBollo::valueIsValid()
     * @param WsGPAppEnumTipoBollo $_tipo the tipo
     * @return WsGPAppEnumTipoBollo
     */
    public function setTipo($_tipo)
    {
        if(!WsGPAppEnumTipoBollo::valueIsValid($_tipo))
        {
            return false;
        }
        return ($this->tipo = $_tipo);
    }
    /**
     * Get hash value
     * @return string|null
     */
    public function getHash()
    {
        return $this->hash;
    }
    /**
     * Set hash value
     * @param string $_hash the hash
     * @return string
     */
    public function setHash($_hash)
    {
        return ($this->hash = $_hash);
    }
    /**
     * Get provincia value
     * @return string|null
     */
    public function getProvincia()
    {
        return $this->provincia;
    }
    /**
     * Set provincia value
     * @param string $_provincia the provincia
     * @return string
     */
    public function setProvincia($_provincia)
    {
        return ($this->provincia = $_provincia);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructBolloTelematico
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
