<?php
/**
 * File for class WsGPAppEnumEsitoOperazione
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppEnumEsitoOperazione originally named esitoOperazione
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppEnumEsitoOperazione extends WsGPAppWsdlClass
{
    /**
     * Constant for value 'OK'
     * @return string 'OK'
     */
    const VALUE_OK = 'OK';
    /**
     * Constant for value 'INTERNAL'
     * Meta informations extracted from the WSDL
     * - documentation : Errore non atteso
     * @return string 'INTERNAL'
     */
    const VALUE_INTERNAL = 'INTERNAL';
    /**
     * Constant for value 'AUT_000'
     * Meta informations extracted from the WSDL
     * - documentation : Principal non fornito
     * @return string 'AUT_000'
     */
    const VALUE_AUT_000 = 'AUT_000';
    /**
     * Constant for value 'AUT_001'
     * Meta informations extracted from the WSDL
     * - documentation : Principal non associato ad alcuna Applicazione
     * @return string 'AUT_001'
     */
    const VALUE_AUT_001 = 'AUT_001';
    /**
     * Constant for value 'AUT_002'
     * Meta informations extracted from the WSDL
     * - documentation : Principal non associato ad alcun Portale
     * @return string 'AUT_002'
     */
    const VALUE_AUT_002 = 'AUT_002';
    /**
     * Constant for value 'APP_000'
     * Meta informations extracted from the WSDL
     * - documentation : Applicazione inesistente
     * @return string 'APP_000'
     */
    const VALUE_APP_000 = 'APP_000';
    /**
     * Constant for value 'APP_001'
     * Meta informations extracted from the WSDL
     * - documentation : Applicazione disabilitata
     * @return string 'APP_001'
     */
    const VALUE_APP_001 = 'APP_001';
    /**
     * Constant for value 'APP_002'
     * Meta informations extracted from the WSDL
     * - documentation : Applicazione autenticata diversa dalla chiamante
     * @return string 'APP_002'
     */
    const VALUE_APP_002 = 'APP_002';
    /**
     * Constant for value 'DOM_000'
     * Meta informations extracted from the WSDL
     * - documentation : Dominio inesistente
     * @return string 'DOM_000'
     */
    const VALUE_DOM_000 = 'DOM_000';
    /**
     * Constant for value 'DOM_001'
     * Meta informations extracted from the WSDL
     * - documentation : Dominio disabilitato
     * @return string 'DOM_001'
     */
    const VALUE_DOM_001 = 'DOM_001';
    /**
     * Constant for value 'DOM_002'
     * Meta informations extracted from the WSDL
     * - documentation : Dominio configurato per la generazione custom degli iuv
     * @return string 'DOM_002'
     */
    const VALUE_DOM_002 = 'DOM_002';
    /**
     * Constant for value 'DOM_003'
     * Meta informations extracted from the WSDL
     * - documentation : Dominio configurato per la generazione centralizzata degli iuv
     * @return string 'DOM_003'
     */
    const VALUE_DOM_003 = 'DOM_003';
    /**
     * Constant for value 'NDP_000'
     * Meta informations extracted from the WSDL
     * - documentation : Errore di comunicazione con il Nodo dei Pagamenti
     * @return string 'NDP_000'
     */
    const VALUE_NDP_000 = 'NDP_000';
    /**
     * Constant for value 'NDP_001'
     * Meta informations extracted from the WSDL
     * - documentation : Ricevuto FAULT dal Nodo dei Pagamenti
     * @return string 'NDP_001'
     */
    const VALUE_NDP_001 = 'NDP_001';
    /**
     * Constant for value 'PAG_000'
     * Meta informations extracted from the WSDL
     * - documentation : I versamenti di una richiesta di pagamento devono afferire alla stessa stazione intermediario
     * @return string 'PAG_000'
     */
    const VALUE_PAG_000 = 'PAG_000';
    /**
     * Constant for value 'PAG_001'
     * Meta informations extracted from the WSDL
     * - documentation : Il canale indicato non supporta il pagamento di piu' versamenti
     * @return string 'PAG_001'
     */
    const VALUE_PAG_001 = 'PAG_001';
    /**
     * Constant for value 'PAG_002'
     * Meta informations extracted from the WSDL
     * - documentation : Il canale indicato non puo' eseguire pagamenti ad iniziativa Ente
     * @return string 'PAG_002'
     */
    const VALUE_PAG_002 = 'PAG_002';
    /**
     * Constant for value 'PAG_003'
     * Meta informations extracted from the WSDL
     * - documentation : Il canale indicato non supporta il pagamento di Marca da Bollo Telematica
     * @return string 'PAG_003'
     */
    const VALUE_PAG_003 = 'PAG_003';
    /**
     * Constant for value 'PAG_004'
     * Meta informations extracted from the WSDL
     * - documentation : Il tipo di pagamento Addebito Diretto richiede di specificare un Iban di Addebito
     * @return string 'PAG_004'
     */
    const VALUE_PAG_004 = 'PAG_004';
    /**
     * Constant for value 'PAG_005'
     * Meta informations extracted from the WSDL
     * - documentation : Il tipo di pagamento On-line Banking e-Payment (OBEP) consente il pagamento di versamenti con al piu' un singolo versamento
     * @return string 'PAG_005'
     */
    const VALUE_PAG_005 = 'PAG_005';
    /**
     * Constant for value 'PAG_006'
     * Meta informations extracted from the WSDL
     * - documentation : Non è possibile pagare un versamento in stato diverso da NON_ESEGUITO
     * @return string 'PAG_006'
     */
    const VALUE_PAG_006 = 'PAG_006';
    /**
     * Constant for value 'PAG_007'
     * Meta informations extracted from the WSDL
     * - documentation : Non è possibile pagare un versamento scaduto
     * @return string 'PAG_007'
     */
    const VALUE_PAG_007 = 'PAG_007';
    /**
     * Constant for value 'PAG_008'
     * Meta informations extracted from the WSDL
     * - documentation : Transazione di pagamento inesistente
     * @return string 'PAG_008'
     */
    const VALUE_PAG_008 = 'PAG_008';
    /**
     * Constant for value 'PAG_009'
     * Meta informations extracted from the WSDL
     * - documentation : Pagamento gia' stornato
     * @return string 'PAG_009'
     */
    const VALUE_PAG_009 = 'PAG_009';
    /**
     * Constant for value 'PAG_010'
     * Meta informations extracted from the WSDL
     * - documentation : Richiesta di storno inesistente
     * @return string 'PAG_010'
     */
    const VALUE_PAG_010 = 'PAG_010';
    /**
     * Constant for value 'PAG_011'
     * Meta informations extracted from the WSDL
     * - documentation : Nessun pagamento da stornare
     * @return string 'PAG_011'
     */
    const VALUE_PAG_011 = 'PAG_011';
    /**
     * Constant for value 'PRT_000'
     * Meta informations extracted from the WSDL
     * - documentation : Portale inesistente
     * @return string 'PRT_000'
     */
    const VALUE_PRT_000 = 'PRT_000';
    /**
     * Constant for value 'PRT_001'
     * Meta informations extracted from the WSDL
     * - documentation : Portale disabilitato
     * @return string 'PRT_001'
     */
    const VALUE_PRT_001 = 'PRT_001';
    /**
     * Constant for value 'PRT_002'
     * Meta informations extracted from the WSDL
     * - documentation : Portale autenticato diverso dal chiamante
     * @return string 'PRT_002'
     */
    const VALUE_PRT_002 = 'PRT_002';
    /**
     * Constant for value 'PRT_003'
     * Meta informations extracted from the WSDL
     * - documentation : Portale non autorizzato a pagare i versamenti dell'applicazione indicata
     * @return string 'PRT_003'
     */
    const VALUE_PRT_003 = 'PRT_003';
    /**
     * Constant for value 'PRT_004'
     * Meta informations extracted from the WSDL
     * - documentation : Portale non autorizzato a visualizzare l'esito della transazione indicata
     * @return string 'PRT_004'
     */
    const VALUE_PRT_004 = 'PRT_004';
    /**
     * Constant for value 'PRT_005'
     * Meta informations extracted from the WSDL
     * - documentation : Portale non autorizzato all'operazione richiesta
     * @return string 'PRT_005'
     */
    const VALUE_PRT_005 = 'PRT_005';
    /**
     * Constant for value 'PSP_000'
     * Meta informations extracted from the WSDL
     * - documentation : Il canale non esiste
     * @return string 'PSP_000'
     */
    const VALUE_PSP_000 = 'PSP_000';
    /**
     * Constant for value 'PSP_001'
     * Meta informations extracted from the WSDL
     * - documentation : Il canale e' disabilitato
     * @return string 'PSP_001'
     */
    const VALUE_PSP_001 = 'PSP_001';
    /**
     * Constant for value 'RND_000'
     * Meta informations extracted from the WSDL
     * - documentation : Il Flusso di Rendicontazione cercato non esiste.
     * @return string 'RND_000'
     */
    const VALUE_RND_000 = 'RND_000';
    /**
     * Constant for value 'RND_001'
     * Meta informations extracted from the WSDL
     * - documentation : Applicazione non abilitata all'acquisizione del flusso indicato.
     * @return string 'RND_001'
     */
    const VALUE_RND_001 = 'RND_001';
    /**
     * Constant for value 'STA_000'
     * Meta informations extracted from the WSDL
     * - documentation : Stazione inesistente
     * @return string 'STA_000'
     */
    const VALUE_STA_000 = 'STA_000';
    /**
     * Constant for value 'STA_001'
     * Meta informations extracted from the WSDL
     * - documentation : Stazione disabilitata
     * @return string 'STA_001'
     */
    const VALUE_STA_001 = 'STA_001';
    /**
     * Constant for value 'TRB_000'
     * Meta informations extracted from the WSDL
     * - documentation : Tributo inesistente
     * @return string 'TRB_000'
     */
    const VALUE_TRB_000 = 'TRB_000';
    /**
     * Constant for value 'UOP_000'
     * Meta informations extracted from the WSDL
     * - documentation : Unita Operativa inesistente
     * @return string 'UOP_000'
     */
    const VALUE_UOP_000 = 'UOP_000';
    /**
     * Constant for value 'UOP_001'
     * Meta informations extracted from the WSDL
     * - documentation : Unita Operativa disabilitata
     * @return string 'UOP_001'
     */
    const VALUE_UOP_001 = 'UOP_001';
    /**
     * Constant for value 'VER_000'
     * Meta informations extracted from the WSDL
     * - documentation : Versamento non pagabile ad iniziativa PSP
     * @return string 'VER_000'
     */
    const VALUE_VER_000 = 'VER_000';
    /**
     * Constant for value 'VER_001'
     * Meta informations extracted from the WSDL
     * - documentation : Il versamento presenta singoli versamenti con codSingoloVersamento non univoci
     * @return string 'VER_001'
     */
    const VALUE_VER_001 = 'VER_001';
    /**
     * Constant for value 'VER_002'
     * Meta informations extracted from the WSDL
     * - documentation : La somma degli importi dei singoli versamenti non corrisponde all'importo totale del versamento
     * @return string 'VER_002'
     */
    const VALUE_VER_002 = 'VER_002';
    /**
     * Constant for value 'VER_003'
     * Meta informations extracted from the WSDL
     * - documentation : Non è possibile aggiornare un versamento in stato diverso da NON_ESEGUITO o ANNULLATO
     * @return string 'VER_003'
     */
    const VALUE_VER_003 = 'VER_003';
    /**
     * Constant for value 'VER_004'
     * Meta informations extracted from the WSDL
     * - documentation : Non è possibile aggiornare un versamento cambiando l'unità operativa beneficiaria
     * @return string 'VER_004'
     */
    const VALUE_VER_004 = 'VER_004';
    /**
     * Constant for value 'VER_005'
     * Meta informations extracted from the WSDL
     * - documentation : Non è possibile aggiornare un versamento cambiando il numero di singoli importi
     * @return string 'VER_005'
     */
    const VALUE_VER_005 = 'VER_005';
    /**
     * Constant for value 'VER_006'
     * Meta informations extracted from the WSDL
     * - documentation : Non è possibile aggiornare un versamento modificando i codSingoliVersamenti dei singoli versamenti
     * @return string 'VER_006'
     */
    const VALUE_VER_006 = 'VER_006';
    /**
     * Constant for value 'VER_007'
     * Meta informations extracted from the WSDL
     * - documentation : Non è possibile aggiornare un versamento modificando la tipologia di tributo dei singoli versamenti
     * @return string 'VER_007'
     */
    const VALUE_VER_007 = 'VER_007';
    /**
     * Constant for value 'VER_008'
     * Meta informations extracted from the WSDL
     * - documentation : Versamento inesistente
     * @return string 'VER_008'
     */
    const VALUE_VER_008 = 'VER_008';
    /**
     * Constant for value 'VER_009'
     * Meta informations extracted from the WSDL
     * - documentation : Non è possibile annullare un versamento in stato diverso da NON_ESEGUITO
     * @return string 'VER_009'
     */
    const VALUE_VER_009 = 'VER_009';
    /**
     * Constant for value 'VER_010'
     * Meta informations extracted from the WSDL
     * - documentation : L'aggiornamento del versamento dall'applicazione ha dato esito PAA_PAGAMENTO_SCADUTO
     * @return string 'VER_010'
     */
    const VALUE_VER_010 = 'VER_010';
    /**
     * Constant for value 'VER_011'
     * Meta informations extracted from the WSDL
     * - documentation : L'aggiornamento del versamento dall'applicazione ha dato esito PAA_PAGAMENTO_SCONOSCIUTO
     * @return string 'VER_011'
     */
    const VALUE_VER_011 = 'VER_011';
    /**
     * Constant for value 'VER_012'
     * Meta informations extracted from the WSDL
     * - documentation : L'aggiornamento del versamento dall'applicazione ha dato esito PAA_PAGAMENTO_DUPLICATO
     * @return string 'VER_012'
     */
    const VALUE_VER_012 = 'VER_012';
    /**
     * Constant for value 'VER_013'
     * Meta informations extracted from the WSDL
     * - documentation : L'aggiornamento del versamento dall'applicazione ha dato esito PAA_PAGAMENTO_ANNULLATO
     * @return string 'VER_013'
     */
    const VALUE_VER_013 = 'VER_013';
    /**
     * Constant for value 'VER_014'
     * Meta informations extracted from the WSDL
     * - documentation : L'aggiornamento del versamento dall'applicazione e' fallito
     * @return string 'VER_014'
     */
    const VALUE_VER_014 = 'VER_014';
    /**
     * Constant for value 'VER_015'
     * Meta informations extracted from the WSDL
     * - documentation : Aggiornamento non consentito se AggiornaSeEsiste impostato a false
     * @return string 'VER_015'
     */
    const VALUE_VER_015 = 'VER_015';
    /**
     * Constant for value 'VER_016'
     * Meta informations extracted from the WSDL
     * - documentation : Non è possibile notificare un pagamento per un versamento in stato diverso da NON_ESEGUITO o ANNULLATO
     * @return string 'VER_016'
     */
    const VALUE_VER_016 = 'VER_016';
    /**
     * Constant for value 'VER_017'
     * Meta informations extracted from the WSDL
     * - documentation : Iuv da caricare non conforme alle specifiche AgID
     * @return string 'VER_017'
     */
    const VALUE_VER_017 = 'VER_017';
    /**
     * Constant for value 'VER_018'
     * Meta informations extracted from the WSDL
     * - documentation : Iuv da caricare gia' associato ad un diverso Versamento
     * @return string 'VER_018'
     */
    const VALUE_VER_018 = 'VER_018';
    /**
     * Constant for value 'VER_019'
     * Meta informations extracted from the WSDL
     * - documentation : Applicazione non autorizzata all'autodeterminazione dei tributi
     * @return string 'VER_019'
     */
    const VALUE_VER_019 = 'VER_019';
    /**
     * Constant for value 'VER_020'
     * Meta informations extracted from the WSDL
     * - documentation : Iban di accredito non censito
     * @return string 'VER_020'
     */
    const VALUE_VER_020 = 'VER_020';
    /**
     * Constant for value 'VER_021'
     * Meta informations extracted from the WSDL
     * - documentation : Applicazione non autorizzata all'autodeterminazione dei tributi per il dominio indicato
     * @return string 'VER_021'
     */
    const VALUE_VER_021 = 'VER_021';
    /**
     * Constant for value 'VER_022'
     * Meta informations extracted from the WSDL
     * - documentation : Applicazione non autorizzata alla gestione del tributo indicato
     * @return string 'VER_022'
     */
    const VALUE_VER_022 = 'VER_022';
    /**
     * Constant for value 'VER_023'
     * Meta informations extracted from the WSDL
     * - documentation : Non e' possibile aggiornare un versamento modificando l'iban di accredito
     * @return string 'VER_023'
     */
    const VALUE_VER_023 = 'VER_023';
    /**
     * Constant for value 'WISP_000'
     * Meta informations extracted from the WSDL
     * - documentation : Sessione di scelta sconosciuta al WISP
     * @return string 'WISP_000'
     */
    const VALUE_WISP_000 = 'WISP_000';
    /**
     * Constant for value 'WISP_001'
     * Meta informations extracted from the WSDL
     * - documentation : Sessione di scelta scaduta per timeout al WISP
     * @return string 'WISP_001'
     */
    const VALUE_WISP_001 = 'WISP_001';
    /**
     * Constant for value 'WISP_002'
     * Meta informations extracted from the WSDL
     * - documentation : Canale scelto non presente in anagrafica
     * @return string 'WISP_002'
     */
    const VALUE_WISP_002 = 'WISP_002';
    /**
     * Constant for value 'WISP_003'
     * Meta informations extracted from the WSDL
     * - documentation : Il debitore non ha operato alcuna scelta sul WISP
     * @return string 'WISP_003'
     */
    const VALUE_WISP_003 = 'WISP_003';
    /**
     * Constant for value 'WISP_004'
     * Meta informations extracted from the WSDL
     * - documentation : Il debitore ha scelto di pagare dopo tramite avviso di pagamento.
     * @return string 'WISP_004'
     */
    const VALUE_WISP_004 = 'WISP_004';
    /**
     * Return true if value is allowed
     * @uses WsGPAppEnumEsitoOperazione::VALUE_OK
     * @uses WsGPAppEnumEsitoOperazione::VALUE_INTERNAL
     * @uses WsGPAppEnumEsitoOperazione::VALUE_AUT_000
     * @uses WsGPAppEnumEsitoOperazione::VALUE_AUT_001
     * @uses WsGPAppEnumEsitoOperazione::VALUE_AUT_002
     * @uses WsGPAppEnumEsitoOperazione::VALUE_APP_000
     * @uses WsGPAppEnumEsitoOperazione::VALUE_APP_001
     * @uses WsGPAppEnumEsitoOperazione::VALUE_APP_002
     * @uses WsGPAppEnumEsitoOperazione::VALUE_DOM_000
     * @uses WsGPAppEnumEsitoOperazione::VALUE_DOM_001
     * @uses WsGPAppEnumEsitoOperazione::VALUE_DOM_002
     * @uses WsGPAppEnumEsitoOperazione::VALUE_DOM_003
     * @uses WsGPAppEnumEsitoOperazione::VALUE_NDP_000
     * @uses WsGPAppEnumEsitoOperazione::VALUE_NDP_001
     * @uses WsGPAppEnumEsitoOperazione::VALUE_PAG_000
     * @uses WsGPAppEnumEsitoOperazione::VALUE_PAG_001
     * @uses WsGPAppEnumEsitoOperazione::VALUE_PAG_002
     * @uses WsGPAppEnumEsitoOperazione::VALUE_PAG_003
     * @uses WsGPAppEnumEsitoOperazione::VALUE_PAG_004
     * @uses WsGPAppEnumEsitoOperazione::VALUE_PAG_005
     * @uses WsGPAppEnumEsitoOperazione::VALUE_PAG_006
     * @uses WsGPAppEnumEsitoOperazione::VALUE_PAG_007
     * @uses WsGPAppEnumEsitoOperazione::VALUE_PAG_008
     * @uses WsGPAppEnumEsitoOperazione::VALUE_PAG_009
     * @uses WsGPAppEnumEsitoOperazione::VALUE_PAG_010
     * @uses WsGPAppEnumEsitoOperazione::VALUE_PAG_011
     * @uses WsGPAppEnumEsitoOperazione::VALUE_PRT_000
     * @uses WsGPAppEnumEsitoOperazione::VALUE_PRT_001
     * @uses WsGPAppEnumEsitoOperazione::VALUE_PRT_002
     * @uses WsGPAppEnumEsitoOperazione::VALUE_PRT_003
     * @uses WsGPAppEnumEsitoOperazione::VALUE_PRT_004
     * @uses WsGPAppEnumEsitoOperazione::VALUE_PRT_005
     * @uses WsGPAppEnumEsitoOperazione::VALUE_PSP_000
     * @uses WsGPAppEnumEsitoOperazione::VALUE_PSP_001
     * @uses WsGPAppEnumEsitoOperazione::VALUE_RND_000
     * @uses WsGPAppEnumEsitoOperazione::VALUE_RND_001
     * @uses WsGPAppEnumEsitoOperazione::VALUE_STA_000
     * @uses WsGPAppEnumEsitoOperazione::VALUE_STA_001
     * @uses WsGPAppEnumEsitoOperazione::VALUE_TRB_000
     * @uses WsGPAppEnumEsitoOperazione::VALUE_UOP_000
     * @uses WsGPAppEnumEsitoOperazione::VALUE_UOP_001
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_000
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_001
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_002
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_003
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_004
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_005
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_006
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_007
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_008
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_009
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_010
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_011
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_012
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_013
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_014
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_015
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_016
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_017
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_018
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_019
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_020
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_021
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_022
     * @uses WsGPAppEnumEsitoOperazione::VALUE_VER_023
     * @uses WsGPAppEnumEsitoOperazione::VALUE_WISP_000
     * @uses WsGPAppEnumEsitoOperazione::VALUE_WISP_001
     * @uses WsGPAppEnumEsitoOperazione::VALUE_WISP_002
     * @uses WsGPAppEnumEsitoOperazione::VALUE_WISP_003
     * @uses WsGPAppEnumEsitoOperazione::VALUE_WISP_004
     * @param mixed $_value value
     * @return bool true|false
     */
    public static function valueIsValid($_value)
    {
        return in_array($_value,array(WsGPAppEnumEsitoOperazione::VALUE_OK,WsGPAppEnumEsitoOperazione::VALUE_INTERNAL,WsGPAppEnumEsitoOperazione::VALUE_AUT_000,WsGPAppEnumEsitoOperazione::VALUE_AUT_001,WsGPAppEnumEsitoOperazione::VALUE_AUT_002,WsGPAppEnumEsitoOperazione::VALUE_APP_000,WsGPAppEnumEsitoOperazione::VALUE_APP_001,WsGPAppEnumEsitoOperazione::VALUE_APP_002,WsGPAppEnumEsitoOperazione::VALUE_DOM_000,WsGPAppEnumEsitoOperazione::VALUE_DOM_001,WsGPAppEnumEsitoOperazione::VALUE_DOM_002,WsGPAppEnumEsitoOperazione::VALUE_DOM_003,WsGPAppEnumEsitoOperazione::VALUE_NDP_000,WsGPAppEnumEsitoOperazione::VALUE_NDP_001,WsGPAppEnumEsitoOperazione::VALUE_PAG_000,WsGPAppEnumEsitoOperazione::VALUE_PAG_001,WsGPAppEnumEsitoOperazione::VALUE_PAG_002,WsGPAppEnumEsitoOperazione::VALUE_PAG_003,WsGPAppEnumEsitoOperazione::VALUE_PAG_004,WsGPAppEnumEsitoOperazione::VALUE_PAG_005,WsGPAppEnumEsitoOperazione::VALUE_PAG_006,WsGPAppEnumEsitoOperazione::VALUE_PAG_007,WsGPAppEnumEsitoOperazione::VALUE_PAG_008,WsGPAppEnumEsitoOperazione::VALUE_PAG_009,WsGPAppEnumEsitoOperazione::VALUE_PAG_010,WsGPAppEnumEsitoOperazione::VALUE_PAG_011,WsGPAppEnumEsitoOperazione::VALUE_PRT_000,WsGPAppEnumEsitoOperazione::VALUE_PRT_001,WsGPAppEnumEsitoOperazione::VALUE_PRT_002,WsGPAppEnumEsitoOperazione::VALUE_PRT_003,WsGPAppEnumEsitoOperazione::VALUE_PRT_004,WsGPAppEnumEsitoOperazione::VALUE_PRT_005,WsGPAppEnumEsitoOperazione::VALUE_PSP_000,WsGPAppEnumEsitoOperazione::VALUE_PSP_001,WsGPAppEnumEsitoOperazione::VALUE_RND_000,WsGPAppEnumEsitoOperazione::VALUE_RND_001,WsGPAppEnumEsitoOperazione::VALUE_STA_000,WsGPAppEnumEsitoOperazione::VALUE_STA_001,WsGPAppEnumEsitoOperazione::VALUE_TRB_000,WsGPAppEnumEsitoOperazione::VALUE_UOP_000,WsGPAppEnumEsitoOperazione::VALUE_UOP_001,WsGPAppEnumEsitoOperazione::VALUE_VER_000,WsGPAppEnumEsitoOperazione::VALUE_VER_001,WsGPAppEnumEsitoOperazione::VALUE_VER_002,WsGPAppEnumEsitoOperazione::VALUE_VER_003,WsGPAppEnumEsitoOperazione::VALUE_VER_004,WsGPAppEnumEsitoOperazione::VALUE_VER_005,WsGPAppEnumEsitoOperazione::VALUE_VER_006,WsGPAppEnumEsitoOperazione::VALUE_VER_007,WsGPAppEnumEsitoOperazione::VALUE_VER_008,WsGPAppEnumEsitoOperazione::VALUE_VER_009,WsGPAppEnumEsitoOperazione::VALUE_VER_010,WsGPAppEnumEsitoOperazione::VALUE_VER_011,WsGPAppEnumEsitoOperazione::VALUE_VER_012,WsGPAppEnumEsitoOperazione::VALUE_VER_013,WsGPAppEnumEsitoOperazione::VALUE_VER_014,WsGPAppEnumEsitoOperazione::VALUE_VER_015,WsGPAppEnumEsitoOperazione::VALUE_VER_016,WsGPAppEnumEsitoOperazione::VALUE_VER_017,WsGPAppEnumEsitoOperazione::VALUE_VER_018,WsGPAppEnumEsitoOperazione::VALUE_VER_019,WsGPAppEnumEsitoOperazione::VALUE_VER_020,WsGPAppEnumEsitoOperazione::VALUE_VER_021,WsGPAppEnumEsitoOperazione::VALUE_VER_022,WsGPAppEnumEsitoOperazione::VALUE_VER_023,WsGPAppEnumEsitoOperazione::VALUE_WISP_000,WsGPAppEnumEsitoOperazione::VALUE_WISP_001,WsGPAppEnumEsitoOperazione::VALUE_WISP_002,WsGPAppEnumEsitoOperazione::VALUE_WISP_003,WsGPAppEnumEsitoOperazione::VALUE_WISP_004));
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
