<?php
/**
 * File for class WsGPAppEnumEsitoTransazione
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppEnumEsitoTransazione originally named esitoTransazione
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppEnumEsitoTransazione extends WsGPAppWsdlClass
{
    /**
     * Constant for value 'PAGAMENTO_ESEGUITO'
     * @return string 'PAGAMENTO_ESEGUITO'
     */
    const VALUE_PAGAMENTO_ESEGUITO = 'PAGAMENTO_ESEGUITO';
    /**
     * Constant for value 'PAGAMENTO_NON_ESEGUITO'
     * @return string 'PAGAMENTO_NON_ESEGUITO'
     */
    const VALUE_PAGAMENTO_NON_ESEGUITO = 'PAGAMENTO_NON_ESEGUITO';
    /**
     * Constant for value 'PAGAMENTO_PARZIALMENTE_ESEGUITO'
     * @return string 'PAGAMENTO_PARZIALMENTE_ESEGUITO'
     */
    const VALUE_PAGAMENTO_PARZIALMENTE_ESEGUITO = 'PAGAMENTO_PARZIALMENTE_ESEGUITO';
    /**
     * Constant for value 'DECORRENZA_TERMINI'
     * @return string 'DECORRENZA_TERMINI'
     */
    const VALUE_DECORRENZA_TERMINI = 'DECORRENZA_TERMINI';
    /**
     * Constant for value 'DECORRENZA_TERMINI_PARZIALE'
     * @return string 'DECORRENZA_TERMINI_PARZIALE'
     */
    const VALUE_DECORRENZA_TERMINI_PARZIALE = 'DECORRENZA_TERMINI_PARZIALE';
    /**
     * Return true if value is allowed
     * @uses WsGPAppEnumEsitoTransazione::VALUE_PAGAMENTO_ESEGUITO
     * @uses WsGPAppEnumEsitoTransazione::VALUE_PAGAMENTO_NON_ESEGUITO
     * @uses WsGPAppEnumEsitoTransazione::VALUE_PAGAMENTO_PARZIALMENTE_ESEGUITO
     * @uses WsGPAppEnumEsitoTransazione::VALUE_DECORRENZA_TERMINI
     * @uses WsGPAppEnumEsitoTransazione::VALUE_DECORRENZA_TERMINI_PARZIALE
     * @param mixed $_value value
     * @return bool true|false
     */
    public static function valueIsValid($_value)
    {
        return in_array($_value,array(WsGPAppEnumEsitoTransazione::VALUE_PAGAMENTO_ESEGUITO,WsGPAppEnumEsitoTransazione::VALUE_PAGAMENTO_NON_ESEGUITO,WsGPAppEnumEsitoTransazione::VALUE_PAGAMENTO_PARZIALMENTE_ESEGUITO,WsGPAppEnumEsitoTransazione::VALUE_DECORRENZA_TERMINI,WsGPAppEnumEsitoTransazione::VALUE_DECORRENZA_TERMINI_PARZIALE));
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
