<?php
/**
 * File for class WsGPAppEnumEsitoVerificaVersamento
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppEnumEsitoVerificaVersamento originally named esitoVerificaVersamento
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppEnumEsitoVerificaVersamento extends WsGPAppWsdlClass
{
    /**
     * Constant for value 'OK'
     * @return string 'OK'
     */
    const VALUE_OK = 'OK';
    /**
     * Constant for value 'PAGAMENTO_SCONOSCIUTO'
     * @return string 'PAGAMENTO_SCONOSCIUTO'
     */
    const VALUE_PAGAMENTO_SCONOSCIUTO = 'PAGAMENTO_SCONOSCIUTO';
    /**
     * Constant for value 'PAGAMENTO_DUPLICATO'
     * @return string 'PAGAMENTO_DUPLICATO'
     */
    const VALUE_PAGAMENTO_DUPLICATO = 'PAGAMENTO_DUPLICATO';
    /**
     * Constant for value 'PAGAMENTO_SCADUTO'
     * @return string 'PAGAMENTO_SCADUTO'
     */
    const VALUE_PAGAMENTO_SCADUTO = 'PAGAMENTO_SCADUTO';
    /**
     * Constant for value 'PAGAMENTO_ANNULLATO'
     * @return string 'PAGAMENTO_ANNULLATO'
     */
    const VALUE_PAGAMENTO_ANNULLATO = 'PAGAMENTO_ANNULLATO';
    /**
     * Return true if value is allowed
     * @uses WsGPAppEnumEsitoVerificaVersamento::VALUE_OK
     * @uses WsGPAppEnumEsitoVerificaVersamento::VALUE_PAGAMENTO_SCONOSCIUTO
     * @uses WsGPAppEnumEsitoVerificaVersamento::VALUE_PAGAMENTO_DUPLICATO
     * @uses WsGPAppEnumEsitoVerificaVersamento::VALUE_PAGAMENTO_SCADUTO
     * @uses WsGPAppEnumEsitoVerificaVersamento::VALUE_PAGAMENTO_ANNULLATO
     * @param mixed $_value value
     * @return bool true|false
     */
    public static function valueIsValid($_value)
    {
        return in_array($_value,array(WsGPAppEnumEsitoVerificaVersamento::VALUE_OK,WsGPAppEnumEsitoVerificaVersamento::VALUE_PAGAMENTO_SCONOSCIUTO,WsGPAppEnumEsitoVerificaVersamento::VALUE_PAGAMENTO_DUPLICATO,WsGPAppEnumEsitoVerificaVersamento::VALUE_PAGAMENTO_SCADUTO,WsGPAppEnumEsitoVerificaVersamento::VALUE_PAGAMENTO_ANNULLATO));
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
