<?php
/**
 * File for class WsGPAppStructEstremiFlussoRendicontazione
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructEstremiFlussoRendicontazione originally named estremiFlussoRendicontazione
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructEstremiFlussoRendicontazione extends WsGPAppWsdlClass
{
    /**
     * The codFlusso
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codFlusso;
    /**
     * The codBicRiversamento
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $codBicRiversamento;
    /**
     * The annoRiferimento
     * @var gYear
     */
    public $annoRiferimento;
    /**
     * The codPsp
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codPsp;
    /**
     * The dataFlusso
     * @var dateTime
     */
    public $dataFlusso;
    /**
     * The dataRegolamento
     * @var date
     */
    public $dataRegolamento;
    /**
     * The iur
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * @var string
     */
    public $iur;
    /**
     * The numeroPagamenti
     * Meta informations extracted from the WSDL
     * - documentation : Opzionale in Rnd
     * - minOccurs : 0
     * @var long
     */
    public $numeroPagamenti;
    /**
     * The importoTotale
     * Meta informations extracted from the WSDL
     * - documentation : Opzionale in Rnd
     * - minOccurs : 0
     * - fractionDigits : 2
     * - totalDigits : 18
     * @var decimal
     */
    public $importoTotale;
    /**
     * The trn
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * @var string
     */
    public $trn;
    /**
     * The codDominio
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codDominio;
    /**
     * The stato
     * @var WsGPAppEnumStatoFr
     */
    public $stato;
    /**
     * The anomalia
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * @var WsGPAppStructAnomalia
     */
    public $anomalia;
    /**
     * Constructor method for estremiFlussoRendicontazione
     * @see parent::__construct()
     * @param string $_codFlusso
     * @param string $_codBicRiversamento
     * @param gYear $_annoRiferimento
     * @param string $_codPsp
     * @param dateTime $_dataFlusso
     * @param date $_dataRegolamento
     * @param string $_iur
     * @param long $_numeroPagamenti
     * @param decimal $_importoTotale
     * @param string $_trn
     * @param string $_codDominio
     * @param WsGPAppEnumStatoFr $_stato
     * @param WsGPAppStructAnomalia $_anomalia
     * @return WsGPAppStructEstremiFlussoRendicontazione
     */
    public function __construct($_codFlusso = NULL,$_codBicRiversamento = NULL,$_annoRiferimento = NULL,$_codPsp = NULL,$_dataFlusso = NULL,$_dataRegolamento = NULL,$_iur = NULL,$_numeroPagamenti = NULL,$_importoTotale = NULL,$_trn = NULL,$_codDominio = NULL,$_stato = NULL,$_anomalia = NULL)
    {
        parent::__construct(array('codFlusso'=>$_codFlusso,'codBicRiversamento'=>$_codBicRiversamento,'annoRiferimento'=>$_annoRiferimento,'codPsp'=>$_codPsp,'dataFlusso'=>$_dataFlusso,'dataRegolamento'=>$_dataRegolamento,'iur'=>$_iur,'numeroPagamenti'=>$_numeroPagamenti,'importoTotale'=>$_importoTotale,'trn'=>$_trn,'codDominio'=>$_codDominio,'stato'=>$_stato,'anomalia'=>$_anomalia),false);
    }
    /**
     * Get codFlusso value
     * @return string|null
     */
    public function getCodFlusso()
    {
        return $this->codFlusso;
    }
    /**
     * Set codFlusso value
     * @param string $_codFlusso the codFlusso
     * @return string
     */
    public function setCodFlusso($_codFlusso)
    {
        return ($this->codFlusso = $_codFlusso);
    }
    /**
     * Get codBicRiversamento value
     * @return string|null
     */
    public function getCodBicRiversamento()
    {
        return $this->codBicRiversamento;
    }
    /**
     * Set codBicRiversamento value
     * @param string $_codBicRiversamento the codBicRiversamento
     * @return string
     */
    public function setCodBicRiversamento($_codBicRiversamento)
    {
        return ($this->codBicRiversamento = $_codBicRiversamento);
    }
    /**
     * Get annoRiferimento value
     * @return gYear|null
     */
    public function getAnnoRiferimento()
    {
        return $this->annoRiferimento;
    }
    /**
     * Set annoRiferimento value
     * @param gYear $_annoRiferimento the annoRiferimento
     * @return gYear
     */
    public function setAnnoRiferimento($_annoRiferimento)
    {
        return ($this->annoRiferimento = $_annoRiferimento);
    }
    /**
     * Get codPsp value
     * @return string|null
     */
    public function getCodPsp()
    {
        return $this->codPsp;
    }
    /**
     * Set codPsp value
     * @param string $_codPsp the codPsp
     * @return string
     */
    public function setCodPsp($_codPsp)
    {
        return ($this->codPsp = $_codPsp);
    }
    /**
     * Get dataFlusso value
     * @return dateTime|null
     */
    public function getDataFlusso()
    {
        return $this->dataFlusso;
    }
    /**
     * Set dataFlusso value
     * @param dateTime $_dataFlusso the dataFlusso
     * @return dateTime
     */
    public function setDataFlusso($_dataFlusso)
    {
        return ($this->dataFlusso = $_dataFlusso);
    }
    /**
     * Get dataRegolamento value
     * @return date|null
     */
    public function getDataRegolamento()
    {
        return $this->dataRegolamento;
    }
    /**
     * Set dataRegolamento value
     * @param date $_dataRegolamento the dataRegolamento
     * @return date
     */
    public function setDataRegolamento($_dataRegolamento)
    {
        return ($this->dataRegolamento = $_dataRegolamento);
    }
    /**
     * Get iur value
     * @return string|null
     */
    public function getIur()
    {
        return $this->iur;
    }
    /**
     * Set iur value
     * @param string $_iur the iur
     * @return string
     */
    public function setIur($_iur)
    {
        return ($this->iur = $_iur);
    }
    /**
     * Get numeroPagamenti value
     * @return long|null
     */
    public function getNumeroPagamenti()
    {
        return $this->numeroPagamenti;
    }
    /**
     * Set numeroPagamenti value
     * @param long $_numeroPagamenti the numeroPagamenti
     * @return long
     */
    public function setNumeroPagamenti($_numeroPagamenti)
    {
        return ($this->numeroPagamenti = $_numeroPagamenti);
    }
    /**
     * Get importoTotale value
     * @return decimal|null
     */
    public function getImportoTotale()
    {
        return $this->importoTotale;
    }
    /**
     * Set importoTotale value
     * @param decimal $_importoTotale the importoTotale
     * @return decimal
     */
    public function setImportoTotale($_importoTotale)
    {
        return ($this->importoTotale = $_importoTotale);
    }
    /**
     * Get trn value
     * @return string|null
     */
    public function getTrn()
    {
        return $this->trn;
    }
    /**
     * Set trn value
     * @param string $_trn the trn
     * @return string
     */
    public function setTrn($_trn)
    {
        return ($this->trn = $_trn);
    }
    /**
     * Get codDominio value
     * @return string|null
     */
    public function getCodDominio()
    {
        return $this->codDominio;
    }
    /**
     * Set codDominio value
     * @param string $_codDominio the codDominio
     * @return string
     */
    public function setCodDominio($_codDominio)
    {
        return ($this->codDominio = $_codDominio);
    }
    /**
     * Get stato value
     * @return WsGPAppEnumStatoFr|null
     */
    public function getStato()
    {
        return $this->stato;
    }
    /**
     * Set stato value
     * @uses WsGPAppEnumStatoFr::valueIsValid()
     * @param WsGPAppEnumStatoFr $_stato the stato
     * @return WsGPAppEnumStatoFr
     */
    public function setStato($_stato)
    {
        if(!WsGPAppEnumStatoFr::valueIsValid($_stato))
        {
            return false;
        }
        return ($this->stato = $_stato);
    }
    /**
     * Get anomalia value
     * @return WsGPAppStructAnomalia|null
     */
    public function getAnomalia()
    {
        return $this->anomalia;
    }
    /**
     * Set anomalia value
     * @param WsGPAppStructAnomalia $_anomalia the anomalia
     * @return WsGPAppStructAnomalia
     */
    public function setAnomalia($_anomalia)
    {
        return ($this->anomalia = $_anomalia);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructEstremiFlussoRendicontazione
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
