<?php
/**
 * File for class WsGPAppStructFlussoRendicontazione
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructFlussoRendicontazione originally named flussoRendicontazione
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructFlussoRendicontazione extends WsGPAppStructEstremiFlussoRendicontazione
{
    /**
     * The pagamento
     * @var WsGPAppStructPagamento
     */
    public $pagamento;
    /**
     * The rendicontazione
     * @var WsGPAppStructRendicontazione
     */
    public $rendicontazione;
    /**
     * Constructor method for flussoRendicontazione
     * @see parent::__construct()
     * @param WsGPAppStructPagamento $_pagamento
     * @param WsGPAppStructRendicontazione $_rendicontazione
     * @return WsGPAppStructFlussoRendicontazione
     */
    public function __construct($_pagamento = NULL,$_rendicontazione = NULL)
    {
        WsGPAppWsdlClass::__construct(array('pagamento'=>$_pagamento,'rendicontazione'=>$_rendicontazione),false);
    }
    /**
     * Get pagamento value
     * @return WsGPAppStructPagamento|null
     */
    public function getPagamento()
    {
        return $this->pagamento;
    }
    /**
     * Set pagamento value
     * @param WsGPAppStructPagamento $_pagamento the pagamento
     * @return WsGPAppStructPagamento
     */
    public function setPagamento($_pagamento)
    {
        return ($this->pagamento = $_pagamento);
    }
    /**
     * Get rendicontazione value
     * @return WsGPAppStructRendicontazione|null
     */
    public function getRendicontazione()
    {
        return $this->rendicontazione;
    }
    /**
     * Set rendicontazione value
     * @param WsGPAppStructRendicontazione $_rendicontazione the rendicontazione
     * @return WsGPAppStructRendicontazione
     */
    public function setRendicontazione($_rendicontazione)
    {
        return ($this->rendicontazione = $_rendicontazione);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructFlussoRendicontazione
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
