<?php
/**
 * File for class WsGPAppStructGpCaricaIuv
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructGpCaricaIuv originally named gpCaricaIuv
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructGpCaricaIuv extends WsGPAppWsdlClass
{
    /**
     * The codApplicazione
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codApplicazione;
    /**
     * The codDominio
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codDominio;
    /**
     * The iuvGenerato
     * @var WsGPAppStructIuvGenerato
     */
    public $iuvGenerato;
    /**
     * Constructor method for gpCaricaIuv
     * @see parent::__construct()
     * @param string $_codApplicazione
     * @param string $_codDominio
     * @param WsGPAppStructIuvGenerato $_iuvGenerato
     * @return WsGPAppStructGpCaricaIuv
     */
    public function __construct($_codApplicazione = NULL,$_codDominio = NULL,$_iuvGenerato = NULL)
    {
        parent::__construct(array('codApplicazione'=>$_codApplicazione,'codDominio'=>$_codDominio,'iuvGenerato'=>$_iuvGenerato),false);
    }
    /**
     * Get codApplicazione value
     * @return string|null
     */
    public function getCodApplicazione()
    {
        return $this->codApplicazione;
    }
    /**
     * Set codApplicazione value
     * @param string $_codApplicazione the codApplicazione
     * @return string
     */
    public function setCodApplicazione($_codApplicazione)
    {
        return ($this->codApplicazione = $_codApplicazione);
    }
    /**
     * Get codDominio value
     * @return string|null
     */
    public function getCodDominio()
    {
        return $this->codDominio;
    }
    /**
     * Set codDominio value
     * @param string $_codDominio the codDominio
     * @return string
     */
    public function setCodDominio($_codDominio)
    {
        return ($this->codDominio = $_codDominio);
    }
    /**
     * Get iuvGenerato value
     * @return WsGPAppStructIuvGenerato|null
     */
    public function getIuvGenerato()
    {
        return $this->iuvGenerato;
    }
    /**
     * Set iuvGenerato value
     * @param WsGPAppStructIuvGenerato $_iuvGenerato the iuvGenerato
     * @return WsGPAppStructIuvGenerato
     */
    public function setIuvGenerato($_iuvGenerato)
    {
        return ($this->iuvGenerato = $_iuvGenerato);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructGpCaricaIuv
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
