<?php
/**
 * File for class WsGPAppStructGpChiediListaFlussiRendicontazione
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructGpChiediListaFlussiRendicontazione originally named gpChiediListaFlussiRendicontazione
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructGpChiediListaFlussiRendicontazione extends WsGPAppWsdlClass
{
    /**
     * The codDominio
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codDominio;
    /**
     * The codApplicazione
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codApplicazione;
    /**
     * The dataInizio
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var date
     */
    public $dataInizio;
    /**
     * The dataFine
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var date
     */
    public $dataFine;
    /**
     * Constructor method for gpChiediListaFlussiRendicontazione
     * @see parent::__construct()
     * @param string $_codDominio
     * @param string $_codApplicazione
     * @param date $_dataInizio
     * @param date $_dataFine
     * @return WsGPAppStructGpChiediListaFlussiRendicontazione
     */
    public function __construct($_codDominio = NULL,$_codApplicazione = NULL,$_dataInizio = NULL,$_dataFine = NULL)
    {
        parent::__construct(array('codDominio'=>$_codDominio,'codApplicazione'=>$_codApplicazione,'dataInizio'=>$_dataInizio,'dataFine'=>$_dataFine),false);
    }
    /**
     * Get codDominio value
     * @return string|null
     */
    public function getCodDominio()
    {
        return $this->codDominio;
    }
    /**
     * Set codDominio value
     * @param string $_codDominio the codDominio
     * @return string
     */
    public function setCodDominio($_codDominio)
    {
        return ($this->codDominio = $_codDominio);
    }
    /**
     * Get codApplicazione value
     * @return string|null
     */
    public function getCodApplicazione()
    {
        return $this->codApplicazione;
    }
    /**
     * Set codApplicazione value
     * @param string $_codApplicazione the codApplicazione
     * @return string
     */
    public function setCodApplicazione($_codApplicazione)
    {
        return ($this->codApplicazione = $_codApplicazione);
    }
    /**
     * Get dataInizio value
     * @return date|null
     */
    public function getDataInizio()
    {
        return $this->dataInizio;
    }
    /**
     * Set dataInizio value
     * @param date $_dataInizio the dataInizio
     * @return date
     */
    public function setDataInizio($_dataInizio)
    {
        return ($this->dataInizio = $_dataInizio);
    }
    /**
     * Get dataFine value
     * @return date|null
     */
    public function getDataFine()
    {
        return $this->dataFine;
    }
    /**
     * Set dataFine value
     * @param date $_dataFine the dataFine
     * @return date
     */
    public function setDataFine($_dataFine)
    {
        return ($this->dataFine = $_dataFine);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructGpChiediListaFlussiRendicontazione
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
