<?php
/**
 * File for class WsGPAppStructGpChiediStatoVersamentoResponse
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructGpChiediStatoVersamentoResponse originally named gpChiediStatoVersamentoResponse
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructGpChiediStatoVersamentoResponse extends WsGPAppStructGpResponse
{
    /**
     * The codApplicazione
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codApplicazione;
    /**
     * The codVersamentoEnte
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codVersamentoEnte;
    /**
     * The stato
     * @var WsGPAppEnumStatoVersamento
     */
    public $stato;
    /**
     * The transazione
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * @var WsGPAppStructTransazione
     */
    public $transazione;
    /**
     * Constructor method for gpChiediStatoVersamentoResponse
     * @see parent::__construct()
     * @param string $_codApplicazione
     * @param string $_codVersamentoEnte
     * @param WsGPAppEnumStatoVersamento $_stato
     * @param WsGPAppStructTransazione $_transazione
     * @return WsGPAppStructGpChiediStatoVersamentoResponse
     */
    public function __construct($_codApplicazione = NULL,$_codVersamentoEnte = NULL,$_stato = NULL,$_transazione = NULL)
    {
        WsGPAppWsdlClass::__construct(array('codApplicazione'=>$_codApplicazione,'codVersamentoEnte'=>$_codVersamentoEnte,'stato'=>$_stato,'transazione'=>$_transazione),false);
    }
    /**
     * Get codApplicazione value
     * @return string|null
     */
    public function getCodApplicazione()
    {
        return $this->codApplicazione;
    }
    /**
     * Set codApplicazione value
     * @param string $_codApplicazione the codApplicazione
     * @return string
     */
    public function setCodApplicazione($_codApplicazione)
    {
        return ($this->codApplicazione = $_codApplicazione);
    }
    /**
     * Get codVersamentoEnte value
     * @return string|null
     */
    public function getCodVersamentoEnte()
    {
        return $this->codVersamentoEnte;
    }
    /**
     * Set codVersamentoEnte value
     * @param string $_codVersamentoEnte the codVersamentoEnte
     * @return string
     */
    public function setCodVersamentoEnte($_codVersamentoEnte)
    {
        return ($this->codVersamentoEnte = $_codVersamentoEnte);
    }
    /**
     * Get stato value
     * @return WsGPAppEnumStatoVersamento|null
     */
    public function getStato()
    {
        return $this->stato;
    }
    /**
     * Set stato value
     * @uses WsGPAppEnumStatoVersamento::valueIsValid()
     * @param WsGPAppEnumStatoVersamento $_stato the stato
     * @return WsGPAppEnumStatoVersamento
     */
    public function setStato($_stato)
    {
        if(!WsGPAppEnumStatoVersamento::valueIsValid($_stato))
        {
            return false;
        }
        return ($this->stato = $_stato);
    }
    /**
     * Get transazione value
     * @return WsGPAppStructTransazione|null
     */
    public function getTransazione()
    {
        return $this->transazione;
    }
    /**
     * Set transazione value
     * @param WsGPAppStructTransazione $_transazione the transazione
     * @return WsGPAppStructTransazione
     */
    public function setTransazione($_transazione)
    {
        return ($this->transazione = $_transazione);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructGpChiediStatoVersamentoResponse
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
