<?php
/**
 * File for class WsGPAppStructGpGeneraIuvResponse
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructGpGeneraIuvResponse originally named gpGeneraIuvResponse
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructGpGeneraIuvResponse extends WsGPAppStructGpResponse
{
    /**
     * The iuvGenerato
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * @var WsGPAppStructIuvGenerato
     */
    public $iuvGenerato;
    /**
     * Constructor method for gpGeneraIuvResponse
     * @see parent::__construct()
     * @param WsGPAppStructIuvGenerato $_iuvGenerato
     * @return WsGPAppStructGpGeneraIuvResponse
     */
    public function __construct($_iuvGenerato = NULL)
    {
        WsGPAppWsdlClass::__construct(array('iuvGenerato'=>$_iuvGenerato),false);
    }
    /**
     * Get iuvGenerato value
     * @return WsGPAppStructIuvGenerato|null
     */
    public function getIuvGenerato()
    {
        return $this->iuvGenerato;
    }
    /**
     * Set iuvGenerato value
     * @param WsGPAppStructIuvGenerato $_iuvGenerato the iuvGenerato
     * @return WsGPAppStructIuvGenerato
     */
    public function setIuvGenerato($_iuvGenerato)
    {
        return ($this->iuvGenerato = $_iuvGenerato);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructGpGeneraIuvResponse
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
