<?php
/**
 * File for class WsGPAppStructIuvGenerato
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructIuvGenerato originally named iuvGenerato
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructIuvGenerato extends WsGPAppWsdlClass
{
    /**
     * The codApplicazione
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codApplicazione;
    /**
     * The codVersamentoEnte
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codVersamentoEnte;
    /**
     * The codDominio
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codDominio;
    /**
     * The iuv
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $iuv;
    /**
     * The numeroAvviso
     * Meta informations extracted from the WSDL
     * - documentation : Presente dalla versione 2.2.2
     * - minOccurs : 0
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $numeroAvviso;
    /**
     * The qrCode
     * @var base64Binary
     */
    public $qrCode;
    /**
     * The barCode
     * @var base64Binary
     */
    public $barCode;
    /**
     * The importoTotale
     * Meta informations extracted from the WSDL
     * - fractionDigits : 2
     * - maxInclusive : 99999999.99
     * - minInclusive : 0.00
     * - totalDigits : 12
     * @var decimal
     */
    public $importoTotale;
    /**
     * Constructor method for iuvGenerato
     * @see parent::__construct()
     * @param string $_codApplicazione
     * @param string $_codVersamentoEnte
     * @param string $_codDominio
     * @param string $_iuv
     * @param string $_numeroAvviso
     * @param base64Binary $_qrCode
     * @param base64Binary $_barCode
     * @param decimal $_importoTotale
     * @return WsGPAppStructIuvGenerato
     */
    public function __construct($_codApplicazione = NULL,$_codVersamentoEnte = NULL,$_codDominio = NULL,$_iuv = NULL,$_numeroAvviso = NULL,$_qrCode = NULL,$_barCode = NULL,$_importoTotale = NULL)
    {
        parent::__construct(array('codApplicazione'=>$_codApplicazione,'codVersamentoEnte'=>$_codVersamentoEnte,'codDominio'=>$_codDominio,'iuv'=>$_iuv,'numeroAvviso'=>$_numeroAvviso,'qrCode'=>$_qrCode,'barCode'=>$_barCode,'importoTotale'=>$_importoTotale),false);
    }
    /**
     * Get codApplicazione value
     * @return string|null
     */
    public function getCodApplicazione()
    {
        return $this->codApplicazione;
    }
    /**
     * Set codApplicazione value
     * @param string $_codApplicazione the codApplicazione
     * @return string
     */
    public function setCodApplicazione($_codApplicazione)
    {
        return ($this->codApplicazione = $_codApplicazione);
    }
    /**
     * Get codVersamentoEnte value
     * @return string|null
     */
    public function getCodVersamentoEnte()
    {
        return $this->codVersamentoEnte;
    }
    /**
     * Set codVersamentoEnte value
     * @param string $_codVersamentoEnte the codVersamentoEnte
     * @return string
     */
    public function setCodVersamentoEnte($_codVersamentoEnte)
    {
        return ($this->codVersamentoEnte = $_codVersamentoEnte);
    }
    /**
     * Get codDominio value
     * @return string|null
     */
    public function getCodDominio()
    {
        return $this->codDominio;
    }
    /**
     * Set codDominio value
     * @param string $_codDominio the codDominio
     * @return string
     */
    public function setCodDominio($_codDominio)
    {
        return ($this->codDominio = $_codDominio);
    }
    /**
     * Get iuv value
     * @return string|null
     */
    public function getIuv()
    {
        return $this->iuv;
    }
    /**
     * Set iuv value
     * @param string $_iuv the iuv
     * @return string
     */
    public function setIuv($_iuv)
    {
        return ($this->iuv = $_iuv);
    }
    /**
     * Get numeroAvviso value
     * @return string|null
     */
    public function getNumeroAvviso()
    {
        return $this->numeroAvviso;
    }
    /**
     * Set numeroAvviso value
     * @param string $_numeroAvviso the numeroAvviso
     * @return string
     */
    public function setNumeroAvviso($_numeroAvviso)
    {
        return ($this->numeroAvviso = $_numeroAvviso);
    }
    /**
     * Get qrCode value
     * @return base64Binary|null
     */
    public function getQrCode()
    {
        return $this->qrCode;
    }
    /**
     * Set qrCode value
     * @param base64Binary $_qrCode the qrCode
     * @return base64Binary
     */
    public function setQrCode($_qrCode)
    {
        return ($this->qrCode = $_qrCode);
    }
    /**
     * Get barCode value
     * @return base64Binary|null
     */
    public function getBarCode()
    {
        return $this->barCode;
    }
    /**
     * Set barCode value
     * @param base64Binary $_barCode the barCode
     * @return base64Binary
     */
    public function setBarCode($_barCode)
    {
        return ($this->barCode = $_barCode);
    }
    /**
     * Get importoTotale value
     * @return decimal|null
     */
    public function getImportoTotale()
    {
        return $this->importoTotale;
    }
    /**
     * Set importoTotale value
     * @param decimal $_importoTotale the importoTotale
     * @return decimal
     */
    public function setImportoTotale($_importoTotale)
    {
        return ($this->importoTotale = $_importoTotale);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructIuvGenerato
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
