<?php
/**
 * File for class WsGPAppStructMetaInfo
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructMetaInfo originally named metaInfo
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructMetaInfo extends WsGPAppWsdlClass
{
    /**
     * The iuvProp
     * @var WsGPAppStructIuvProp
     */
    public $iuvProp;
    /**
     * Constructor method for metaInfo
     * @see parent::__construct()
     * @param WsGPAppStructIuvProp $_iuvProp
     * @return WsGPAppStructMetaInfo
     */
    public function __construct($_iuvProp = NULL)
    {
        parent::__construct(array('iuvProp'=>$_iuvProp),false);
    }
    /**
     * Get iuvProp value
     * @return WsGPAppStructIuvProp|null
     */
    public function getIuvProp()
    {
        return $this->iuvProp;
    }
    /**
     * Set iuvProp value
     * @param WsGPAppStructIuvProp $_iuvProp the iuvProp
     * @return WsGPAppStructIuvProp
     */
    public function setIuvProp($_iuvProp)
    {
        return ($this->iuvProp = $_iuvProp);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructMetaInfo
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
