<?php
/**
 * File for class WsGPAppStructSingoloVersamento
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructSingoloVersamento originally named singoloVersamento
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructSingoloVersamento extends WsGPAppWsdlClass
{
    /**
     * The codSingoloVersamentoEnte
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codSingoloVersamentoEnte;
    /**
     * The importo
     * Meta informations extracted from the WSDL
     * - fractionDigits : 2
     * - maxInclusive : 99999999.99
     * - minInclusive : 0.00
     * - totalDigits : 12
     * @var decimal
     */
    public $importo;
    /**
     * The note
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - maxLength : 512
     * - minLength : 1
     * @var string
     */
    public $note;
    /**
     * The codTributo
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codTributo;
    /**
     * The bolloTelematico
     * @var WsGPAppStructBolloTelematico
     */
    public $bolloTelematico;
    /**
     * The tributo
     * @var WsGPAppStructTributo
     */
    public $tributo;
    /**
     * Constructor method for singoloVersamento
     * @see parent::__construct()
     * @param string $_codSingoloVersamentoEnte
     * @param decimal $_importo
     * @param string $_note
     * @param string $_codTributo
     * @param WsGPAppStructBolloTelematico $_bolloTelematico
     * @param WsGPAppStructTributo $_tributo
     * @return WsGPAppStructSingoloVersamento
     */
    public function __construct($_codSingoloVersamentoEnte = NULL,$_importo = NULL,$_note = NULL,$_codTributo = NULL,$_bolloTelematico = NULL,$_tributo = NULL)
    {
        parent::__construct(array('codSingoloVersamentoEnte'=>$_codSingoloVersamentoEnte,'importo'=>$_importo,'note'=>$_note,'codTributo'=>$_codTributo,'bolloTelematico'=>$_bolloTelematico,'tributo'=>$_tributo),false);
    }
    /**
     * Get codSingoloVersamentoEnte value
     * @return string|null
     */
    public function getCodSingoloVersamentoEnte()
    {
        return $this->codSingoloVersamentoEnte;
    }
    /**
     * Set codSingoloVersamentoEnte value
     * @param string $_codSingoloVersamentoEnte the codSingoloVersamentoEnte
     * @return string
     */
    public function setCodSingoloVersamentoEnte($_codSingoloVersamentoEnte)
    {
        return ($this->codSingoloVersamentoEnte = $_codSingoloVersamentoEnte);
    }
    /**
     * Get importo value
     * @return decimal|null
     */
    public function getImporto()
    {
        return $this->importo;
    }
    /**
     * Set importo value
     * @param decimal $_importo the importo
     * @return decimal
     */
    public function setImporto($_importo)
    {
        return ($this->importo = $_importo);
    }
    /**
     * Get note value
     * @return string|null
     */
    public function getNote()
    {
        return $this->note;
    }
    /**
     * Set note value
     * @param string $_note the note
     * @return string
     */
    public function setNote($_note)
    {
        return ($this->note = $_note);
    }
    /**
     * Get codTributo value
     * @return string|null
     */
    public function getCodTributo()
    {
        return $this->codTributo;
    }
    /**
     * Set codTributo value
     * @param string $_codTributo the codTributo
     * @return string
     */
    public function setCodTributo($_codTributo)
    {
        return ($this->codTributo = $_codTributo);
    }
    /**
     * Get bolloTelematico value
     * @return WsGPAppStructBolloTelematico|null
     */
    public function getBolloTelematico()
    {
        return $this->bolloTelematico;
    }
    /**
     * Set bolloTelematico value
     * @param WsGPAppStructBolloTelematico $_bolloTelematico the bolloTelematico
     * @return WsGPAppStructBolloTelematico
     */
    public function setBolloTelematico($_bolloTelematico)
    {
        return ($this->bolloTelematico = $_bolloTelematico);
    }
    /**
     * Get tributo value
     * @return WsGPAppStructTributo|null
     */
    public function getTributo()
    {
        return $this->tributo;
    }
    /**
     * Set tributo value
     * @param WsGPAppStructTributo $_tributo the tributo
     * @return WsGPAppStructTributo
     */
    public function setTributo($_tributo)
    {
        return ($this->tributo = $_tributo);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructSingoloVersamento
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
