<?php
/**
 * File for class WsGPAppStructSpezzoneCausaleStrutturata
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructSpezzoneCausaleStrutturata originally named spezzoneCausaleStrutturata
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructSpezzoneCausaleStrutturata extends WsGPAppWsdlClass
{
    /**
     * The causale
     * Meta informations extracted from the WSDL
     * - maxLength : 20
     * - minLength : 1
     * @var string
     */
    public $causale;
    /**
     * The importo
     * Meta informations extracted from the WSDL
     * - fractionDigits : 2
     * - maxInclusive : 9999999.99
     * - minInclusive : 0.00
     * - totalDigits : 10
     * @var decimal
     */
    public $importo;
    /**
     * Constructor method for spezzoneCausaleStrutturata
     * @see parent::__construct()
     * @param string $_causale
     * @param decimal $_importo
     * @return WsGPAppStructSpezzoneCausaleStrutturata
     */
    public function __construct($_causale = NULL,$_importo = NULL)
    {
        parent::__construct(array('causale'=>$_causale,'importo'=>$_importo),false);
    }
    /**
     * Get causale value
     * @return string|null
     */
    public function getCausale()
    {
        return $this->causale;
    }
    /**
     * Set causale value
     * @param string $_causale the causale
     * @return string
     */
    public function setCausale($_causale)
    {
        return ($this->causale = $_causale);
    }
    /**
     * Get importo value
     * @return decimal|null
     */
    public function getImporto()
    {
        return $this->importo;
    }
    /**
     * Set importo value
     * @param decimal $_importo the importo
     * @return decimal
     */
    public function setImporto($_importo)
    {
        return ($this->importo = $_importo);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructSpezzoneCausaleStrutturata
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
