<?php
/**
 * File for class WsGPAppEnumStatoFr
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppEnumStatoFr originally named statoFr
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppEnumStatoFr extends WsGPAppWsdlClass
{
    /**
     * Constant for value 'ACCETTATA'
     * @return string 'ACCETTATA'
     */
    const VALUE_ACCETTATA = 'ACCETTATA';
    /**
     * Constant for value 'ANOMALA'
     * @return string 'ANOMALA'
     */
    const VALUE_ANOMALA = 'ANOMALA';
    /**
     * Constant for value 'RIFIUTATA'
     * Meta informations extracted from the WSDL
     * - documentation : Presente per retrocompatibilita v2.x
     * @return string 'RIFIUTATA'
     */
    const VALUE_RIFIUTATA = 'RIFIUTATA';
    /**
     * Return true if value is allowed
     * @uses WsGPAppEnumStatoFr::VALUE_ACCETTATA
     * @uses WsGPAppEnumStatoFr::VALUE_ANOMALA
     * @uses WsGPAppEnumStatoFr::VALUE_RIFIUTATA
     * @param mixed $_value value
     * @return bool true|false
     */
    public static function valueIsValid($_value)
    {
        return in_array($_value,array(WsGPAppEnumStatoFr::VALUE_ACCETTATA,WsGPAppEnumStatoFr::VALUE_ANOMALA,WsGPAppEnumStatoFr::VALUE_RIFIUTATA));
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
