<?php
/**
 * File for class WsGPAppEnumStatoTransazione
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppEnumStatoTransazione originally named statoTransazione
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppEnumStatoTransazione extends WsGPAppWsdlClass
{
    /**
     * Constant for value 'RPT_ATTIVATA'
     * @return string 'RPT_ATTIVATA'
     */
    const VALUE_RPT_ATTIVATA = 'RPT_ATTIVATA';
    /**
     * Constant for value 'RPT_ERRORE_INVIO_A_NODO'
     * @return string 'RPT_ERRORE_INVIO_A_NODO'
     */
    const VALUE_RPT_ERRORE_INVIO_A_NODO = 'RPT_ERRORE_INVIO_A_NODO';
    /**
     * Constant for value 'RPT_RICEVUTA_NODO'
     * @return string 'RPT_RICEVUTA_NODO'
     */
    const VALUE_RPT_RICEVUTA_NODO = 'RPT_RICEVUTA_NODO';
    /**
     * Constant for value 'RPT_RIFIUTATA_NODO'
     * @return string 'RPT_RIFIUTATA_NODO'
     */
    const VALUE_RPT_RIFIUTATA_NODO = 'RPT_RIFIUTATA_NODO';
    /**
     * Constant for value 'RPT_ACCETTATA_NODO'
     * @return string 'RPT_ACCETTATA_NODO'
     */
    const VALUE_RPT_ACCETTATA_NODO = 'RPT_ACCETTATA_NODO';
    /**
     * Constant for value 'RPT_RIFIUTATA_PSP'
     * @return string 'RPT_RIFIUTATA_PSP'
     */
    const VALUE_RPT_RIFIUTATA_PSP = 'RPT_RIFIUTATA_PSP';
    /**
     * Constant for value 'RPT_ACCETTATA_PSP'
     * @return string 'RPT_ACCETTATA_PSP'
     */
    const VALUE_RPT_ACCETTATA_PSP = 'RPT_ACCETTATA_PSP';
    /**
     * Constant for value 'RPT_ERRORE_INVIO_A_PSP'
     * @return string 'RPT_ERRORE_INVIO_A_PSP'
     */
    const VALUE_RPT_ERRORE_INVIO_A_PSP = 'RPT_ERRORE_INVIO_A_PSP';
    /**
     * Constant for value 'RPT_INVIATA_A_PSP'
     * @return string 'RPT_INVIATA_A_PSP'
     */
    const VALUE_RPT_INVIATA_A_PSP = 'RPT_INVIATA_A_PSP';
    /**
     * Constant for value 'RPT_DECORSI_TERMINI'
     * @return string 'RPT_DECORSI_TERMINI'
     */
    const VALUE_RPT_DECORSI_TERMINI = 'RPT_DECORSI_TERMINI';
    /**
     * Constant for value 'RT_RICEVUTA_NODO'
     * @return string 'RT_RICEVUTA_NODO'
     */
    const VALUE_RT_RICEVUTA_NODO = 'RT_RICEVUTA_NODO';
    /**
     * Constant for value 'RT_RIFIUTATA_NODO'
     * @return string 'RT_RIFIUTATA_NODO'
     */
    const VALUE_RT_RIFIUTATA_NODO = 'RT_RIFIUTATA_NODO';
    /**
     * Constant for value 'RT_ACCETTATA_NODO'
     * @return string 'RT_ACCETTATA_NODO'
     */
    const VALUE_RT_ACCETTATA_NODO = 'RT_ACCETTATA_NODO';
    /**
     * Constant for value 'RT_ACCETTATA_PA'
     * @return string 'RT_ACCETTATA_PA'
     */
    const VALUE_RT_ACCETTATA_PA = 'RT_ACCETTATA_PA';
    /**
     * Constant for value 'RT_RIFIUTATA_PA'
     * @return string 'RT_RIFIUTATA_PA'
     */
    const VALUE_RT_RIFIUTATA_PA = 'RT_RIFIUTATA_PA';
    /**
     * Constant for value 'RT_ESITO_SCONOSCIUTO_PA'
     * @return string 'RT_ESITO_SCONOSCIUTO_PA'
     */
    const VALUE_RT_ESITO_SCONOSCIUTO_PA = 'RT_ESITO_SCONOSCIUTO_PA';
    /**
     * Return true if value is allowed
     * @uses WsGPAppEnumStatoTransazione::VALUE_RPT_ATTIVATA
     * @uses WsGPAppEnumStatoTransazione::VALUE_RPT_ERRORE_INVIO_A_NODO
     * @uses WsGPAppEnumStatoTransazione::VALUE_RPT_RICEVUTA_NODO
     * @uses WsGPAppEnumStatoTransazione::VALUE_RPT_RIFIUTATA_NODO
     * @uses WsGPAppEnumStatoTransazione::VALUE_RPT_ACCETTATA_NODO
     * @uses WsGPAppEnumStatoTransazione::VALUE_RPT_RIFIUTATA_PSP
     * @uses WsGPAppEnumStatoTransazione::VALUE_RPT_ACCETTATA_PSP
     * @uses WsGPAppEnumStatoTransazione::VALUE_RPT_ERRORE_INVIO_A_PSP
     * @uses WsGPAppEnumStatoTransazione::VALUE_RPT_INVIATA_A_PSP
     * @uses WsGPAppEnumStatoTransazione::VALUE_RPT_DECORSI_TERMINI
     * @uses WsGPAppEnumStatoTransazione::VALUE_RT_RICEVUTA_NODO
     * @uses WsGPAppEnumStatoTransazione::VALUE_RT_RIFIUTATA_NODO
     * @uses WsGPAppEnumStatoTransazione::VALUE_RT_ACCETTATA_NODO
     * @uses WsGPAppEnumStatoTransazione::VALUE_RT_ACCETTATA_PA
     * @uses WsGPAppEnumStatoTransazione::VALUE_RT_RIFIUTATA_PA
     * @uses WsGPAppEnumStatoTransazione::VALUE_RT_ESITO_SCONOSCIUTO_PA
     * @param mixed $_value value
     * @return bool true|false
     */
    public static function valueIsValid($_value)
    {
        return in_array($_value,array(WsGPAppEnumStatoTransazione::VALUE_RPT_ATTIVATA,WsGPAppEnumStatoTransazione::VALUE_RPT_ERRORE_INVIO_A_NODO,WsGPAppEnumStatoTransazione::VALUE_RPT_RICEVUTA_NODO,WsGPAppEnumStatoTransazione::VALUE_RPT_RIFIUTATA_NODO,WsGPAppEnumStatoTransazione::VALUE_RPT_ACCETTATA_NODO,WsGPAppEnumStatoTransazione::VALUE_RPT_RIFIUTATA_PSP,WsGPAppEnumStatoTransazione::VALUE_RPT_ACCETTATA_PSP,WsGPAppEnumStatoTransazione::VALUE_RPT_ERRORE_INVIO_A_PSP,WsGPAppEnumStatoTransazione::VALUE_RPT_INVIATA_A_PSP,WsGPAppEnumStatoTransazione::VALUE_RPT_DECORSI_TERMINI,WsGPAppEnumStatoTransazione::VALUE_RT_RICEVUTA_NODO,WsGPAppEnumStatoTransazione::VALUE_RT_RIFIUTATA_NODO,WsGPAppEnumStatoTransazione::VALUE_RT_ACCETTATA_NODO,WsGPAppEnumStatoTransazione::VALUE_RT_ACCETTATA_PA,WsGPAppEnumStatoTransazione::VALUE_RT_RIFIUTATA_PA,WsGPAppEnumStatoTransazione::VALUE_RT_ESITO_SCONOSCIUTO_PA));
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
