<?php
/**
 * File for class WsGPAppEnumStatoVersamento
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppEnumStatoVersamento originally named statoVersamento
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppEnumStatoVersamento extends WsGPAppWsdlClass
{
    /**
     * Constant for value 'NON_ESEGUITO'
     * @return string 'NON_ESEGUITO'
     */
    const VALUE_NON_ESEGUITO = 'NON_ESEGUITO';
    /**
     * Constant for value 'ESEGUITO'
     * @return string 'ESEGUITO'
     */
    const VALUE_ESEGUITO = 'ESEGUITO';
    /**
     * Constant for value 'PARZIALMENTE_ESEGUITO'
     * @return string 'PARZIALMENTE_ESEGUITO'
     */
    const VALUE_PARZIALMENTE_ESEGUITO = 'PARZIALMENTE_ESEGUITO';
    /**
     * Constant for value 'ANNULLATO'
     * @return string 'ANNULLATO'
     */
    const VALUE_ANNULLATO = 'ANNULLATO';
    /**
     * Constant for value 'ANOMALO'
     * @return string 'ANOMALO'
     */
    const VALUE_ANOMALO = 'ANOMALO';
    /**
     * Constant for value 'ESEGUITO_SENZA_RPT'
     * @return string 'ESEGUITO_SENZA_RPT'
     */
    const VALUE_ESEGUITO_SENZA_RPT = 'ESEGUITO_SENZA_RPT';
    /**
     * Return true if value is allowed
     * @uses WsGPAppEnumStatoVersamento::VALUE_NON_ESEGUITO
     * @uses WsGPAppEnumStatoVersamento::VALUE_ESEGUITO
     * @uses WsGPAppEnumStatoVersamento::VALUE_PARZIALMENTE_ESEGUITO
     * @uses WsGPAppEnumStatoVersamento::VALUE_ANNULLATO
     * @uses WsGPAppEnumStatoVersamento::VALUE_ANOMALO
     * @uses WsGPAppEnumStatoVersamento::VALUE_ESEGUITO_SENZA_RPT
     * @param mixed $_value value
     * @return bool true|false
     */
    public static function valueIsValid($_value)
    {
        return in_array($_value,array(WsGPAppEnumStatoVersamento::VALUE_NON_ESEGUITO,WsGPAppEnumStatoVersamento::VALUE_ESEGUITO,WsGPAppEnumStatoVersamento::VALUE_PARZIALMENTE_ESEGUITO,WsGPAppEnumStatoVersamento::VALUE_ANNULLATO,WsGPAppEnumStatoVersamento::VALUE_ANOMALO,WsGPAppEnumStatoVersamento::VALUE_ESEGUITO_SENZA_RPT));
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
