<?php
/**
 * File for class WsGPAppEnumTipoAllegato
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppEnumTipoAllegato originally named tipoAllegato
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppEnumTipoAllegato extends WsGPAppWsdlClass
{
    /**
     * Constant for value 'ES'
     * Meta informations extracted from the WSDL
     * - documentation : Esito del pagamento prodotto dal PSP
     * @return string 'ES'
     */
    const VALUE_ES = 'ES';
    /**
     * Constant for value 'BD'
     * Meta informations extracted from the WSDL
     * - documentation : Marca da Bollo Digitale
     * @return string 'BD'
     */
    const VALUE_BD = 'BD';
    /**
     * Return true if value is allowed
     * @uses WsGPAppEnumTipoAllegato::VALUE_ES
     * @uses WsGPAppEnumTipoAllegato::VALUE_BD
     * @param mixed $_value value
     * @return bool true|false
     */
    public static function valueIsValid($_value)
    {
        return in_array($_value,array(WsGPAppEnumTipoAllegato::VALUE_ES,WsGPAppEnumTipoAllegato::VALUE_BD));
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
