<?php
/**
 * File for class WsGPAppEnumTipoVersamento
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppEnumTipoVersamento originally named tipoVersamento
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Enumerations
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppEnumTipoVersamento extends WsGPAppWsdlClass
{
    /**
     * Constant for value 'BBT'
     * Meta informations extracted from the WSDL
     * - documentation : Bonifico Bancario di Tesoreria
     * @return string 'BBT'
     */
    const VALUE_BBT = 'BBT';
    /**
     * Constant for value 'BP'
     * Meta informations extracted from the WSDL
     * - documentation : Bollettino Postale
     * @return string 'BP'
     */
    const VALUE_BP = 'BP';
    /**
     * Constant for value 'AD'
     * Meta informations extracted from the WSDL
     * - documentation : Addebito diretto
     * @return string 'AD'
     */
    const VALUE_AD = 'AD';
    /**
     * Constant for value 'CP'
     * Meta informations extracted from the WSDL
     * - documentation : Carta di Pagamento
     * @return string 'CP'
     */
    const VALUE_CP = 'CP';
    /**
     * Constant for value 'OBEP'
     * Meta informations extracted from the WSDL
     * - documentation : On-line Banking e-payment
     * @return string 'OBEP'
     */
    const VALUE_OBEP = 'OBEP';
    /**
     * Constant for value 'PO'
     * Meta informations extracted from the WSDL
     * - documentation : Pagamento attivato presso PSP
     * @return string 'PO'
     */
    const VALUE_PO = 'PO';
    /**
     * Return true if value is allowed
     * @uses WsGPAppEnumTipoVersamento::VALUE_BBT
     * @uses WsGPAppEnumTipoVersamento::VALUE_BP
     * @uses WsGPAppEnumTipoVersamento::VALUE_AD
     * @uses WsGPAppEnumTipoVersamento::VALUE_CP
     * @uses WsGPAppEnumTipoVersamento::VALUE_OBEP
     * @uses WsGPAppEnumTipoVersamento::VALUE_PO
     * @param mixed $_value value
     * @return bool true|false
     */
    public static function valueIsValid($_value)
    {
        return in_array($_value,array(WsGPAppEnumTipoVersamento::VALUE_BBT,WsGPAppEnumTipoVersamento::VALUE_BP,WsGPAppEnumTipoVersamento::VALUE_AD,WsGPAppEnumTipoVersamento::VALUE_CP,WsGPAppEnumTipoVersamento::VALUE_OBEP,WsGPAppEnumTipoVersamento::VALUE_PO));
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
