<?php
/**
 * Test with WsGPApp for 'var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml'
 * @package WsGPApp
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
ini_set('memory_limit','512M');
ini_set('display_errors',true);
error_reporting(-1);
/**
 * Load autoload
 */
require_once dirname(__FILE__) . '/WsGPAppAutoload.php';
/**
 * Wsdl instanciation infos. By default, nothing has to be set.
 * If you wish to override the SoapClient's options, please refer to the sample below.
 * 
 * This is an associative array as:
 * - the key must be a WsGPAppWsdlClass constant beginning with WSDL_
 * - the value must be the corresponding key value
 * Each option matches the {@link http://www.php.net/manual/en/soapclient.soapclient.php} options
 * 
 * Here is below an example of how you can set the array:
 * $wsdl = array();
 * $wsdl[WsGPAppWsdlClass::WSDL_URL] = 'var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml';
 * $wsdl[WsGPAppWsdlClass::WSDL_CACHE_WSDL] = WSDL_CACHE_NONE;
 * $wsdl[WsGPAppWsdlClass::WSDL_TRACE] = true;
 * $wsdl[WsGPAppWsdlClass::WSDL_LOGIN] = 'myLogin';
 * $wsdl[WsGPAppWsdlClass::WSDL_PASSWD] = '**********';
 * etc....
 * Then instantiate the Service class as: 
 * - $wsdlObject = new WsGPAppWsdlClass($wsdl);
 */
/**
 * Examples
 */


/******************************
 * Example for WsGPAppServiceGp
 */
$wsGPAppServiceGp = new WsGPAppServiceGp();
// sample call for WsGPAppServiceGp::gpGeneraIuv()
if($wsGPAppServiceGp->gpGeneraIuv(new WsGPAppStructGpGeneraIuv(/*** update parameters list ***/)))
    print_r($wsGPAppServiceGp->getResult());
else
    print_r($wsGPAppServiceGp->getLastError());
// sample call for WsGPAppServiceGp::gpCaricaIuv()
if($wsGPAppServiceGp->gpCaricaIuv(new WsGPAppStructGpCaricaIuv(/*** update parameters list ***/)))
    print_r($wsGPAppServiceGp->getResult());
else
    print_r($wsGPAppServiceGp->getLastError());
// sample call for WsGPAppServiceGp::gpCaricaVersamento()
if($wsGPAppServiceGp->gpCaricaVersamento(new WsGPAppStructGpCaricaVersamento(/*** update parameters list ***/)))
    print_r($wsGPAppServiceGp->getResult());
else
    print_r($wsGPAppServiceGp->getLastError());
// sample call for WsGPAppServiceGp::gpAnnullaVersamento()
if($wsGPAppServiceGp->gpAnnullaVersamento(new WsGPAppStructGpAnnullaVersamento(/*** update parameters list ***/)))
    print_r($wsGPAppServiceGp->getResult());
else
    print_r($wsGPAppServiceGp->getLastError());
// sample call for WsGPAppServiceGp::gpNotificaPagamento()
if($wsGPAppServiceGp->gpNotificaPagamento(new WsGPAppStructGpNotificaPagamento(/*** update parameters list ***/)))
    print_r($wsGPAppServiceGp->getResult());
else
    print_r($wsGPAppServiceGp->getLastError());
// sample call for WsGPAppServiceGp::gpChiediStatoVersamento()
if($wsGPAppServiceGp->gpChiediStatoVersamento(new WsGPAppStructGpChiediStatoVersamento(/*** update parameters list ***/)))
    print_r($wsGPAppServiceGp->getResult());
else
    print_r($wsGPAppServiceGp->getLastError());
// sample call for WsGPAppServiceGp::gpChiediListaFlussiRendicontazione()
if($wsGPAppServiceGp->gpChiediListaFlussiRendicontazione(new WsGPAppStructGpChiediListaFlussiRendicontazione(/*** update parameters list ***/)))
    print_r($wsGPAppServiceGp->getResult());
else
    print_r($wsGPAppServiceGp->getLastError());
// sample call for WsGPAppServiceGp::gpChiediFlussoRendicontazione()
if($wsGPAppServiceGp->gpChiediFlussoRendicontazione(new WsGPAppStructGpChiediFlussoRendicontazione(/*** update parameters list ***/)))
    print_r($wsGPAppServiceGp->getResult());
else
    print_r($wsGPAppServiceGp->getLastError());
